﻿//自定义展现器
function ShowListTextPresenter(option) {
    LogUtil.debug("ShowListTextPresenter | enter");
    var _this = this;
    var _textType = option.textType;    //对话、短文两种类型

    /********************常量定义***********************/
    
    //CSS
    var cssConst = {
        listtxt: "listtxt",
        listbox: "listbox",
    	li: "li",
    	titbox: "titbox"
    };
    
    var textTypeConst = {
        talk: 1,
        passage:2
    };

    this.__proxy__.buildHTML = function (ttsInfo) {
        return initHTML(ttsInfo, _textType);
    };

    function initHTML(ttsInfo, textType) {
        switch (textType) {
            case textTypeConst.talk: //与java中PassageType保持一致
                return buildDialogHTML(ttsInfo);
            default:
                return buildPassageHTML(ttsInfo);
        }
    }

    //创建短文类型HTML元素
    function buildPassageHTML(ttsInfo) {
        var paragraphs = ttsInfo.Paragraphs;
        LogUtil.debug("buildPassageHTML | enter, paragraphs length:" + paragraphs.length);

        var html = "";
        var globalIndex = 0;
        // 添加段落
        for (var paragraphIndex = 0; paragraphIndex < paragraphs.length; paragraphIndex++) {

            var paragraph = paragraphs[paragraphIndex];
            html += '<div class="' + cssConst.listtxt + '">';
				
            // 添加句子
            for (var senIndex = 0; senIndex < paragraph.Sentences.length; senIndex++) {
                html += '<div class="' + cssConst.listbox + '">';
                html += '<li>';
                var sen = paragraph.Sentences[senIndex];
                // 添加单词
                var words = sen.Words;
                for (var wIndex = 0; wIndex < words.length; wIndex++) {
                    html += '<span>' + words[wIndex].PT + ' </span>';
                }

                html += '</li>';
                html += '</div>';
            }

            html += '</div>';
        }
        LogUtil.debug("buildPassageHTML | leave, html:" + html);
        return html;
    }

    // 创建对话类型HTML元素
    function buildDialogHTML(ttsInfo) {
        var paragraphs = ttsInfo.Paragraphs;
        LogUtil.debug("buildDialogHTML | enter, paragraphs length:" + paragraphs.length);

        var html = "";
        var globalIndex = 0;
        // 添加段落
        for (var paragraphIndex = 0; paragraphIndex < paragraphs.length; paragraphIndex++) {
				
            var paragraph = paragraphs[paragraphIndex];
            html += '<div class="' + cssConst.listtxt + '">';
				html += '<div class="' + cssConst.listbox + '">';
            html += '<li class="' + cssConst.li + '">';
            // 添加句子
            for (var senIndex = 0; senIndex < paragraph.Sentences.length; senIndex++) {
                var sen = paragraph.Sentences[senIndex];
                // 添加单词
                var words = sen.Words;
                for (var wIndex = 0; wIndex < words.length; wIndex++) {
                    html += '<span>' + words[wIndex].PT + ' </span>';
                }
                
            }
				html += '</li>';
            html += '</div>';
            html += '</div>';
        }
        LogUtil.debug("buildDialogHTML | leave, html:" + html);
        return html;
    }
}

ShowListTextPresenter.prototype = new SpeechJS.PresenterBase();
ShowListTextPresenter.prototype.constructor = ShowListTextPresenter;