/************
replace.js为避免每次修改player.js都需要大批量替换服务器素材新增。
所有代码都是覆盖player.js所要修改的方法或者新增的方法。
*************/

//替换eleOnload函数，根据alineType摆放图片
function eleOnload(ele, alineType) {
    var div = document.getElementById("resizer");

    var eleRatio = ele.width / ele.height;
    var divRatio = div.offsetWidth / div.offsetHeight;
    if (eleRatio < divRatio) {
        ele.style.width = 'auto';
        ele.style.height = '100%';
        ele.style.top = '0';
        ele.style.left = (divRatio - eleRatio) * div.offsetHeight / 2 + 'px';
    } else {
        ele.style.width = '100%';
        ele.style.height = 'auto';
        ele.style.top = Math.abs(div.offsetHeight - div.offsetWidth / ele.width * ele.height) / 2 + 'px';
        ele.style.left = '0';
    }
    if (alineType == "top")// alineType显示调用top指令时执行，否则居中（包括默认null）
        ele.style.top = '0';
}

//插入图片，新增图片摆放方式aline
function insertPicture(imgUrl, alineType) {
    insertNum++;
    var resizer = document.getElementById("resizer");
    var newNode = document.createElement("div");
    var reforeNode = document.getElementById('s' + nowPage + "s0");

    nowPage = presSettings.TotalSlides + insertNum;

    newNode.setAttribute('class', 'SC');
    newNode.setAttribute('name', 'PIC');
    newNode.setAttribute('id', "s" + nowPage + "s0");

    //使用img标签显示图片,根据图片和屏幕的尺寸设置图片显示样式    
    // 先绑定onload事件，然后再给src赋值
    var Img = new Image();
    Img.onload = function () {
        if (Img.complete)
        {
            Img.onload = null;// 防止加载动态图多次触发
            Img.style.width = "auto";
            Img.style.border = "0";
            Img.style.verticalAlign = "middle";

            eleOnload(Img, alineType);
            newNode.appendChild(Img);
        }
    }
    Img.src = imgUrl;

    resizer.insertBefore(newNode, reforeNode.nextSibling);

    reforeNode.style.display = "none";
    newNode.style.display = "block";

    document.body.style.backgroundColor = 'white';
    addPage();

    if (window.JsIf != null) {
        window.JsIf.onInsertPicture(nowPage, imgUrl);
    }
    else if (ios) {
        ios.onInsertPicture(nowPage, imgUrl);
    }
}

function showPage(nowPage) {
	var slideDiv = document.getElementById('s' + nowPage + "s0");
	if (slideDiv != null && slideDiv.className == "SC") {
		slideDiv.style.display = "block";
	}
}

function addPage() {
    gv.t = gv.t + 1;
    var k = 0;
    gv.i.push(k);
    var curAnimate = { a: 0, c: 0, f: 0, g: 0, n: 0, s: { a: false, b: false, c: true, d: true }, t: { c: 1, i: 0, n: 0, v: 0 } };
    anima["s" + gv.t] = curAnimate;
    gslength.push(gslength[gslength.length-1]+1000);
    gpc = gc;
    gc = gv.t;
}

function gotoSlideSeek(page){
	var div = document.getElementById('s' + nowPage + "s0");
	div.style.display = "none";
	var slideDiv = document.getElementById('s' + page + "s0");
	Presentation.GotoSlide(page);
	slideDiv.style.display="block";
	if(slideDiv.style.opacity == "0")
	{
		slideDiv.style.opacity="1";
	}
}

function slideTo(d) {
    if (nowPage <= presSettings.CurrentSlide) {
        if (d && !(anima["s" + gc].g >= acc.g.length || anima["s" + gc].c == 0)) {
            Presentation.Next();
            return;
        }
        if (!d && (gt - anima["s" + gc].t.i > gslength[gc - 1])) {
            Presentation.Prev();
            return;
        }
    }

    var div = document.getElementById('s' + nowPage + "s0");
    //nowDiv.id
    var nowDiv;

    if (d) {
        nowDiv = div.nextSibling;
    } else {
        nowDiv = div.previousSibling;
    }

    if (nowDiv != null && nowDiv.className == "SC") {

        var slidePage = parseInt(nowDiv.id.substr(1, nowDiv.id.length - 3));

        var slideDiv = document.getElementById('s' + slidePage + "s0");
        var nowDiv = document.getElementById('s' + nowPage + "s0");

        if (slidePage > presSettings.TotalSlides) {
            slideDiv.style.display = "block";
            nowDiv.style.display = "none";
            Presentation.GotoSlide(slidePage);
            if (window.JsIf != null) {
                window.JsIf.slideChange(slidePage, "[]");
            }
                //added by jwang
            else if (ios) {
                ios.HandleSlideChange(slidePage, "[]");	//切换白板
                document.body.style.backgroundColor = 'white'
            }
            //end
        } else if (slidePage == presSettings.TotalSlides) {
            //	document.body.style.backgroundColor='black'	//老板
            slideDiv.style.display = "block";
            nowDiv.style.display = "none";
            ncc.z(slidePage);
        } else {
            //	document.body.style.backgroundColor='black'	//老板
            slideDiv.style.display = "block";
            nowDiv.style.display = "none";
            if (d) {            	
                if (presSettings.CurrentSlide < presSettings.TotalSlides) {
                    Presentation.GotoSlide(presSettings.CurrentSlide + 1);
                } else {
                    Presentation.GotoSlide(slidePage);
                }
            }
            else {
                //if (presSettings.CurrentSlide > 1) {
                //    Presentation.GotoSlide(presSettings.CurrentSlide - 1);
                //} else {
                    Presentation.GotoSlide(slidePage);
                //}
            }
        }
        nowPage = slidePage;
    }

}

var initJS=function(){
	Presentation = new DopPresentation(new eventsHandler);
	Presentation.SetRPath("data/");
}


var eventsHandler = function () {
    this.OnError = function () { };
    this.OnLoadingStart = function () {
        loading.LoadingStart()
    };
    this.OnLoadingEnd = function () {
        loading.LoadingEnd();
        document.body.style.backgroundColor = 'white'	//老板
        var re = document.getElementById("resizer");
        re.style.backgroundColor = 'white';
        isLoad = true;
    };
    this.OnSlideChange = function (e) {
        //------------------------change begin------------------------
        presSettings.CurrentSlide = e;
        var curDiv = document.getElementById('s' + e + "s0");
        var nodes = null;
        if (curDiv != null) {
            nodes = curDiv.getElementsByTagName("div");
        }

        var mediaJson = "[";

        //var mediaIndex=0;
        var onclickIndex = 0;
        myvideo = {};
        if (nodes != null) {
            for (var i = 0; i < nodes.length; i++) {
                if (nodes[i].onclick != null) {

                    var ie = navigator.appName == "Microsoft Internet Explorer";

                    if (!ie) {
                        var nowIndex = onclickIndex;
                        myvideo[nowIndex] = nodes[i];

                        nodes[i].setAttribute('myIndex', nowIndex);

                        nodes[i].addEventListener('touchstart', function (e) {
                            touchMode = 1;
                        }, false);

                        nodes[i].addEventListener('touchmove', function (e) {
                            touchMode = 2;
                        }, false);

                        nodes[i].addEventListener('touchend', function (e) {
                            if (window.JsIf != null && touchMode == 1) {
                                window.JsIf.onPlayVideo(parseInt(this.getAttribute('myIndex')));
                                e.preventDefault();
                            }
                            else if (ios && touchMode == 1) {
                                ios.onPlayVideo(parseInt(this.getAttribute('myIndex')));
                                e.preventDefault();
                            }
                            touchMode = 3;
                        }, false);

                        onclickIndex++;
                    }
                }
            }
        }

        mediaJson += "{'animaIndex':" +  anima["s" + gc].g + ",'animaCount':"+anima["s" + gc].c.i+"}]";
        if (window.JsIf != null) {
            window.JsIf.slideChange(e, mediaJson);
        }
        else if (ios) {
            ios.HandleSlideChange(e, mediaJson);
        }

        nowPage = e;



        //-------------------------change end-------------------------
    };
    this.OnMovToNxtAnim = function () {
        //------------------------change begin------------------------
        if (window.JsIf) {
            window.JsIf.onMovToNxtAnim();
        }
        else if (ios) {
            ios.OnMovToNxtAnim();
        }


        //-------------------------change end-------------------------
    };
    this.OnMovToPrvAnim = function () {
        //------------------------change begin------------------------
        if (window.JsIf) {
            window.JsIf.onMovToPrvAnim();
        }
        else if (ios) {
            ios.OnMovToPrvAnim();
        }
        //-------------------------change end-------------------------
    };
    this.OnPlayingStart = function () {
        isPlaying = true;
        //------------------------change begin------------------------
        if (window.JsIf) {
            window.JsIf.onPlayingStart();
        }
        //-------------------------change end-------------------------
    };
    this.OnPlayingEnd = function () {
        isPlaying = false;
        //------------------------change begin------------------------
        if (window.JsIf) {
            window.JsIf.onPlayingEnd();
        }
        //-------------------------change end-------------------------
    };
    this.OnProgressChange = function (e) {
        //------------------------change begin------------------------
        if (window.JsIf) {
            window.JsIf.presentationProgress(e);
        }
        //-------------------------change end-------------------------
    };
    this.InitaliseSettings = function (e) {
        presSettings = e;
        loadNewPres();
        //------------------------change begin------------------------
        if (window.JsIf) {
            //将h5基本参数信息传给后台
            window.JsIf.initaliseSettings(objToJson(presSettings));
        }
        else if (ios) {
            ios.initaliseSettings(objToJson(presSettings));

        }
        //-------------------------change end-------------------------
    }
};

function gotoAnima(aniIndex) {
    //没有动画直接返回
    if (anima["s" + gc].c == 0) {
        tranend();
        return;
    }

    finishAnima();

    var animaCount = anima["s" + gc].c.i;
    if (aniIndex > animaCount) {
        aniIndex = animaCount;
    }

    aniIndex = aniIndex - anima["s" + gc].g;

    for (var i = 0; i < Math.abs(aniIndex); i++) {
    	if(aniIndex>0){
        myPlayAnima();
      }else{
      	Presentation.Prev();
      }
    }
}

function stopMic() {
	try{
		var vdo = $("#s" + presSettings.CurrentSlide + "s0").find("video");
    for (var i = 0; i < vdo.length; i++) {
        vdo[i].volume = 0.0;
    }

    var ado = $("#s" + presSettings.CurrentSlide + "s0").find("audio");
    for (var i = 0; i < ado.length; i++) {
        ado[i].volume = 0.0;
    }
  }
  catch(e){
  	}
}

