/**
 * 题目名称
 * @enum
 */

var QuesName = {
    /**
     * 单选题
     */
    Choice: 'choice',

    /**
     * 多选题
     */
    MulitChoice : 'mulitchoice',

    /**
     * 判断
     */
    Judge: 'judge',

    /**
     * 填空
     */
    Blank : 'blank',

    /**
     * 填空题自动批改
     */
    AutoBlank: 'autoBlank',

    /**
     * 简答题
     */
    SimpleAnswer:'simpleAnswer'
};

var QuesTypeCode = {
    /**
     * 选择
     */
    Choice: '1',

    /**
     * 判断
     */
    Judge: '2',

    /**
     * 填空
     */
    Blank : '3',

    /**
     * 填空题自动批改
     */
    AutoBlank: '7',

    /**
     * 简答题
     */
    SimpleAnswer:'6'

};

QuesName.getType = function(name){
    var type;

    switch (name)
    {
        case "1":
        case 1:
            type = QuesName.Choice;
            break;
        case "2":
        case 2:
            type = QuesName.Judge;
            break;
        case "3":
        case 3:
            type = QuesName.Blank;
            break;
        case "6":
        case 6:
            type = QuesName.SimpleAnswer;
            break;
        case "7":
        case 7:
            type = QuesName.AutoBlank;
            break;
    }
    return type;
};

var From = {
    "Mobile":0,
    "Web":1
};

/**
 * 端展示的页面
 * @type {{StuDoWork: number, StuDetailNoAnswer: number, StuDetailAnswer: number, TeaDetail: number}}
 */
var FromPage = {

    /**
     * 学生做作业
     */
    "StuDoWork" : 0,

    /**
     * 学生答题详情：未批改，未公布答案
     */
    "StuDetailNoAnswer":1,

    /**
     * 学生答题详情：未批改，已公布答案
     */
    "StuDetailAnswer":2,

    /**
     * 教师端批改后详情
     */
    "TeaDetailAnswer":3,

    /**
     * 教师端查看题目、答案和解析
     */
    "TeaAnswer":4,

    /**
     * 学生端订正页面，未公布答案
     */
    "StuDzNoAnswer":5,

    /**
     * 学生端订正页面，公布答案
     */
    "StuDzAnswer":6,

    /**
     * 教师查看订正页面
     */
    "TeaDz":7
};


var correctStatus = {
    //非订正
    "NoDz":0,
    //订正前
    "BoforeDz":1,
    //订正后
    "AfterDz":2
};



// 数字转中文 支持到12位
var Utils={
    /*
     单位
     */
    units:'个十百千万@#%亿^&~',
    /*
     字符
     */
    chars:'零一二三四五六七八九',
    /*
     数字转中文
     @number {Integer} 形如123的数字
     @return {String} 返回转换成的形如 一百二十三 的字符串
     */
    numberToChinese:function(number){
        var a=(number+'').split(''),s=[],t=this;
        if(a.length>12){
            throw new Error('too big');
        }else{
            for(var i=0,j=a.length-1;i<=j;i++){
                if(j==1||j==5||j==9){//两位数 处理特殊的 1*
                    if(i==0){
                        if(a[i]!='1')s.push(t.chars.charAt(a[i]));
                    }else{
                        s.push(t.chars.charAt(a[i]));
                    }
                }else{
                    s.push(t.chars.charAt(a[i]));
                }
                if(i!=j){
                    s.push(t.units.charAt(j-i));
                }
            }
        }
        //return s;
        return s.join('').replace(/零([十百千万亿@#%^&~])/g,function(m,d,b){//优先处理 零百 零千 等
            b=t.units.indexOf(d);
            if(b!=-1){
                if(d=='亿')return d;
                if(d=='万')return d;
                if(a[j-b]=='0')return '零'
            }
            return '';
        }).replace(/零+/g,'零').replace(/零([万亿])/g,function(m,b){// 零百 零千处理后 可能出现 零零相连的 再处理结尾为零的
            return b;
        }).replace(/亿[万千百]/g,'亿').replace(/[零]$/,'').replace(/[@#%^&~]/g,function(m){
            return {'@':'十','#':'百','%':'千','^':'十','&':'百','~':'千'}[m];
        }).replace(/([亿万])([一-九])/g,function(m,d,b,c){
            c=t.units.indexOf(d);
            if(c!=-1){
                if(a[j-c]=='0')return d+'零'+b
            }
            return m;
        });
    }
};