$(function(){

    /**
     * 主页面
     */
    function MainPage() {

        //嵌入来源
        this.from = From.Web;

        //嵌入的页面
        this.fromPage = FromPage.StuDoWork;

        // 题目详情列表
        this.quesList = null;

        // 初始化第几大题
        this.initMainIndex = 1;

        //初始化第几小题
        this.initOptionIndex = 1;

        // 当前第几大题
        this.mainIndex = 1;

        //当前第几小题
        this.optionIndex = 1;

        //当前综合题第几小题
        this.complexIndex = 1;

        // 答案列表
        this.resultList = [];

        //客户端事件
        this.clientEvent;

        //图片预览组件
        this.photoSwiper;

        //题目dom容器
        this.questionContainer = $("#questionContainer");

        //swiper
        this.mainQuesSwiper;

        //complex swiper
        this.complexSwiper;

        //图片预览
        this.photoPrew =  $('#photo_prew');

        this.quesbase = new QuestionBase();

        //上一题
        this.preBtn = $("#pre-btn");

        //下一题
        this.nextBtn = $("#next-btn");

        //是否批改
        this.isCheck = false;

        //填空题
        this.$blankDom = null;

        //是否是新的数据格式
        this.isNewDataMeta = false;

        //选题进入适配
        this.adjustNewDataMetaComplex = false;
    }

    /**
     * 初始化题目信息
     */
    MainPage.prototype.initQues = function(from, mainIndex, optionIndex, quesObj, answerObj, fromPage) {

        //处理综合题题目数据12.15
        this.handleQuesMeatData(quesObj);
        this.handleQuesMeatData(answerObj);

        //设置来源
        this.from = from;

        this.fromPage = fromPage;

        //设置学生答案
        this.resultList = answerObj;

        //设置初始化题目index
        this.initMainIndex = mainIndex;
        this.initOptionIndex = optionIndex;

        this.mainIndex = mainIndex;
        this.optionIndex = optionIndex;

        //题目整体信息
        var obj;

        //如果是移动端，obj直接从移动端获取
        if(from == From.Mobile)
        {
            obj = quesObj;
        }
        else if(from == From.Web)
        {
            obj = quesObj;
            // 83d43f8f-9af1-4f10-84c0-17266303cb86
            // b7f4dc18-ad4c-450d-9bf9-eaaa9c09a946
        }

        //题目整体dom
        this.renderQues(obj);

        //客户端事件
        this.registerClientEvent();

        if(this.fromPage == FromPage.StuDoWork){

            //渲染学生答案
            this.renderStuAnswer(answerObj,obj);
        }
        else{

            //学生作答详情
            this.renderDetailStuAnswer(answerObj,obj);
        }

        //点击事件
        this.registerClickEvent();

        //滑动事件
        this.enableSlide();

        //初始化展示元素
        this.initPageShow();

        //调整完成
        this.adjustNewDataMetaComplex = false;
    };

    // 处理综合题数据, 将新版本综合题 两级的json统一成原本三级的json
    // 展示使用三级，数据使用两级，这样修改量最小
    // 需要处理题目和答案
    MainPage.prototype.handleQuesMeatData = function(obj){

        //处理题目数据
        for(var i = 0; i < obj.length; i++)
        {
            var item = obj[i];

            //如果不是空，则说明是综合题
            if(item.htmls != null && item.htmls.length > 0){

                this.isNewDataMeta = true;

                item.tempChildques = item.childques;
                item.childques = [];

                var convertData = {};
                convertData.id = item.id;
                convertData.title = item.title;
                convertData.htmls = item.htmls;
                convertData.totalscore = item.totalscore;
                convertData.childques = [];

                if(item.stuanswer != null){
                    convertData.stuanswer = item.stuanswer;
                    item.stuanswer = null;
                }

                if(item.stuanswerlist !=null ){
                    convertData.stuanswerlist = item.stuanswerlist;
                    item.stuanswerlist = null;
                }

                if(item.isCheck != null){
                    convertData.isCheck = item.isCheck;
                    item.isCheck = null;
                }

                if(item.isRevise != null){
                    convertData.isRevise = item.isRevise;
                    item.isRevise = null;
                }

                if(item.isPhoto != null){
                    convertData.isPhoto = item.isPhoto;
                    item.isPhoto = null;
                }

                if(item.needAsk != null){
                    convertData.needAsk = item.needAsk;
                    item.needAsk = null;
                }

                for(var j = 0; j < item.tempChildques.length; j++){
                    var tempChildItem = item.tempChildques[j];
                    convertData.childques.push(tempChildItem);
                }
                item.childques.push(convertData);
            }
        }
    };

    // 保存答案之前，将三级目录变回两级目录
    MainPage.prototype.handleAnswerMetaData = function(answerObj){

        if(!this.isNewDataMeta) return answerObj;

        var tempResultStr = JSON.stringify(answerObj);
        var tempResultObj = JSON.parse(tempResultStr);

        for(var i = 0; i < tempResultObj.length; i++) {

            var item = tempResultObj[i];

            //新版本综合题
            if(item.htmls != null && item.htmls.length > 0){
                item.tempChildques = [];

                var convertData = item.childques[0];
                for(var j = 0; j < convertData.childques.length; j++ ){
                    var tempChildItem = convertData.childques[j];
                    item.tempChildques.push(tempChildItem);
                }

                if(convertData.stuanswer != null){
                    item.stuanswer = convertData.stuanswer;
                }

                if(convertData.stuanswerlist !=null ){
                    item.stuanswerlist = convertData.stuanswerlist;
                }

                if(convertData.isCheck != null){
                    item.isCheck = convertData.isCheck;
                }

                if(convertData.isRevise != null){
                    item.isRevise = convertData.isRevise;
                }

                if(convertData.isPhoto != null){
                    item.isPhoto = convertData.isPhoto;
                }

                if(convertData.needAsk != null){
                    item.needAsk = convertData.needAsk;
                }

                item.totalscore = convertData.totalscore;
                item.childques = item.tempChildques;
                delete item.tempChildques;
            }
        }
        return tempResultObj;
    };

    /**
     * 初始化页面展示
     */
    MainPage.prototype.initPageShow = function(){

        if(this.isFirstQues(true)){

            this.preBtn.hide();

            //综合题题干
            this.renderComplexHtml(this.initMainIndex,this.initOptionIndex);

            //小题题目内容
            this.renderOptionQuesHtml(this.initMainIndex, this.initOptionIndex, 1);

            //渲染学生作答详情
            this.renderSwiperStuAnswer(this.initMainIndex,this.initOptionIndex, 1);

            //渲染题目和分数
            this.renderTitleAndBtn(this.initMainIndex, this.initOptionIndex, 1, true);

            if(this.fromPage != FromPage.StuDoWork){
                this.renderSwiperDetailStuAnswer(this.initMainIndex,this.initOptionIndex,1);
                this.renderSwiperStandardAnswer(this.initMainIndex,this.initOptionIndex,1);
            }
        }
        else{
  
            var index = $("#Main_" + this.initMainIndex + "_Ques_" + this.initOptionIndex).index();
            this.optionSwiper.slideTo(index,0);
  
            if(this.isComplex() && this.isNewDataMeta){

                if(index == 0){
                    //如果第一大题就是综合题,渲染综合题题干
                    this.renderComplexHtml(this.initMainIndex,this.initOptionIndex);
                }

                var complexSwiperIndex = $("#Main_" + this.initMainIndex + "_Ques_" + this.initOptionIndex).data('complexswiper-index') - 1;
                this.getComplexSwiper(complexSwiperIndex).slideTo(this.complexIndex - 1,0);
            }
        }

        if (this.fromPage == FromPage.StuDetailNoAnswer
            || this.fromPage == FromPage.StuDetailAnswer
            || this.fromPage == FromPage.StuDzNoAnswer
            || this.fromPage == FromPage.StuDzAnswer ) {

            $(".stu-consult").show();
        }

        if(this.fromPage == FromPage.TeaDetailAnswer
            || this.fromPage == FromPage.TeaDz){

            $("#mainContainer").find('.answer-title').each(function(){

                var $this = $(this);

                if($this.html() == "我的答案"){
                    $this.html("TA的答案");
                }
            })
        }
    };

    /**
     * 题目和按钮
     */
    MainPage.prototype.renderTitleAndBtn = function(mainIndex, optionIndex, complexIndex, needUpateOrder ){

        var self = this;

        var mainQuesItem = self.quesList[mainIndex - 1];
        var optionQuesItem = mainQuesItem.childques[optionIndex - 1];

        var mainAnswerItem = self.resultList[mainIndex - 1];
        var optionAnswerItem = mainAnswerItem.childques[optionIndex - 1];

        var isComplex = mainQuesItem.isComplex;

        if(needUpateOrder){
            //获取大题总数, 修改题号
            var itemAll = mainQuesItem.childques.length;
            $('.que-num .nowQue').text(optionIndex);
            $('.que-num .allQue').text('/ ' + itemAll );
        }

        if(!isComplex)
        {
            var mainTitle =  mainQuesItem.title + "("  + mainQuesItem.totalscore +  "分)" ;
            var optionTitle = optionQuesItem.title + "(" +  optionQuesItem.score +  "分)"  ;

            if(optionAnswerItem.isRevise){
                optionTitle = optionTitle + "<span class='revise'>订</span>";
            }

            $("#MainQues").find(".item-title").show();
            $("#mainInfo").html(mainTitle);
            $("#Main_" + mainIndex + "_Ques_" + optionIndex).find(".que-title").html(optionTitle);
        }
        else
        {
            optionTitle = optionQuesItem.title + "("  + optionQuesItem.totalscore +  "分)";

            var $quesDom =  $("#MainQues");
            $quesDom.find(".item-title").hide();
            $quesDom.find(".que-wrap").addClass('complex-style');
            $("#Main_" + mainIndex + "_Ques_" + optionIndex).find(".que-title").html(optionTitle);

        }

        if(self.isFirstQues() && self.isLastQues()){
            self.preBtn.hide();
            self.nextBtn.show().text("完成");
        }
        else if(self.isFirstQues()){
            self.preBtn.hide();
            self.nextBtn.show().text("下一题");
        }
        else if(self.isLastQues()){
            self.preBtn.show();
            self.nextBtn.show().text("完成");
        }
        else {
            self.preBtn.show();
            self.nextBtn.show().text("下一题");
        }
    };

    /**
     * 是不是第一题
     * @returns {boolean}
     */
    MainPage.prototype.isFirstQues = function(isinit){

        var mainQues = this.quesList[this.mainIndex - 1];
        var isComplex = mainQues.isComplex;
        if(isinit && this.isNewDataMeta && isComplex){
            this.adjustNewDataMetaComplex = true;
            this.complexIndex = this.initOptionIndex;
            this.initOptionIndex = 1;
            this.optionIndex = 1;
        }

        var optionQues = mainQues.childques[this.optionIndex - 1];
  
        var complexQues = null;

        if(isComplex){
            complexQues = optionQues.childques[this.complexIndex - 1];
        }

        if(mainQues.isFirstQues == false || optionQues.isFirstQues == false || ( complexQues != null && complexQues.isFirstQues == false)){
            return false;
        }
        return true;
    };

    /**
     * 是不是最后一题
     * @returns {boolean}
     */
    MainPage.prototype.isLastQues = function(){

        var mainQues = this.quesList[this.mainIndex - 1];
        var optionQues = mainQues.childques[this.optionIndex - 1];
        var isComplex = mainQues.isComplex;
        var complexQues = null;

        if(isComplex){
            complexQues = optionQues.childques[this.complexIndex - 1];
        }

        if(mainQues.isLastQues == false || optionQues.isLastQues == false || ( complexQues != null && complexQues.isLastQues == false)){
            return false;
        }
        return true;
    };

    /**
     * 是不是综合
     * @returns {isComplex|boolean}
     */
    MainPage.prototype.isComplex = function(){
        var mainQues = this.quesList[this.mainIndex - 1];
        var isComplex = mainQues.isComplex;
        return isComplex;
    };

    /**
     * 渲染大小题标题
     * @param obj
     */
    MainPage.prototype.renderQues = function(obj) {

        //小题dom
        var optionInfoDom = [];

        var compplexSwiperIndex = 1;

        //题目列表添加必要属性
        var mainQuesCount = obj.length;
        for(var i = 0; i < mainQuesCount; i++ ) {
            var mainQuesItem = obj[i];
            mainQuesItem.index = i + 1;
            mainQuesItem.typecode = mainQuesItem.childques[0].typecode;
            mainQuesItem.type = QuesName.getType(mainQuesItem.typecode);
            mainQuesItem.totalcount = mainQuesItem.childques.length;
            mainQuesItem.isComplex = false;

            mainQuesItem.isFirstQues = false;
            mainQuesItem.isLastQues = false;

            if( i == 0){
                mainQuesItem.isFirstQues = true;
            }
            if( i == mainQuesCount - 1){
                mainQuesItem.isLastQues= true;
            }
            this.isCheck = mainQuesItem.isCheck;

            //小题
            var optionQuesList = mainQuesItem.childques;
            var optionQuesCount = optionQuesList.length;

            if(mainQuesItem.childques != null && mainQuesItem.childques[0].childques != null){
                mainQuesItem.isComplex = true;
                mainQuesItem.typecode = mainQuesItem.childques[0].childques[0].typecode;
                mainQuesItem.type = QuesName.getType(mainQuesItem.typecode);
            }

            //渲染小题dom
            for(var j = 0; j < optionQuesCount; j++){

                var optionQues = optionQuesList[j];
                optionQues.optionIndex = j + 1;
                optionQues.mainIndex = mainQuesItem.index;
                optionQues.mainType = mainQuesItem.type;
                optionQues.typecode = mainQuesItem.typecode;
                optionQues.html = null;
                optionQues.isComplex = mainQuesItem.isComplex;
                optionQues.classtype = "no-complex";

                optionQues.isFirstQues = false;
                optionQues.isLastQues = false;

                if( j == 0){
                    optionQues.isFirstQues = true;
                }
                if( j == optionQuesCount - 1){
                    optionQues.isLastQues = true;
                }

                //渲染综合题
                if(optionQues.isComplex){
                    optionQues.classtype = "complex";
                    var complexQuesList = optionQues.childques;
                    var complexQuesCount = complexQuesList.length;

                    optionQues.complexSwiperIndex = compplexSwiperIndex;
                    compplexSwiperIndex++;

                    var $optionDom = $(this.quesbase.renderComplexOptionTemplate(optionQues));

                    for(var u = 0; u < complexQuesCount; u++){

                        var complexQues = complexQuesList[u];
                        complexQues.complexIndex = u + 1;
                        complexQues.mainIndex = optionQues.mainIndex;
                        complexQues.optionIndex = optionQues.optionIndex;

                        complexQues.mainType =  QuesName.getType(complexQues.typecode);
                        optionQues.mainType = complexQues.mainType;

                        complexQues.isComplex = optionQues.isComplex;
                        complexQues.classtype = "complex";
                        complexQues.totalcount = complexQuesCount;
                        complexQues.reviseTitle = (complexQues.isRevise == null || !complexQues.isRevise) ? "":"<span class='revise'>{{reviseTtile}}</span>";

                        complexQues.isFirstQues = false;
                        complexQues.isLastQues = false;

                        if( u == 0){
                            complexQues.isFirstQues = true;
                        }
                        if( u == complexQuesCount - 1){
                            complexQues.isLastQues = true;
                        }

                        this.adjustQues(complexQues);
                        var complexOptionDom = this.quesbase.renderOptionTemplate(complexQues.mainType,complexQues);
                        $optionDom.find("#Main_" + complexQues.mainIndex + "_Ques_"  + complexQues.optionIndex + "_Complex_Swiper").append(complexOptionDom);
                    }
                }
                else{
                    this.adjustQues(optionQues);
                    $optionDom = $(this.quesbase.renderOptionTemplate(optionQues.mainType,optionQues));
                }

                //综合题干
                if(optionQues.isComplex){
                    var $complexDom = $(this.quesbase.renderComplexContent(complexQues));
                    if(optionQues.mainType == QuesName.Blank || optionQues.mainType == QuesName.SimpleAnswer ){
                        $complexDom.find(".answer-show").show();
                        $complexDom.find(".photos-box").show();
                    }
                    else{
                        $complexDom.remove(".answer-show");
                        $complexDom.remove(".photos-box");
                    }

                    $optionDom.find(".que-title").after($complexDom);
                }

                //如果不是作答页面，删除学生作答情况
                if(this.fromPage != FromPage.StuDoWork){
                    $optionDom.find(".respond").remove();
                    $optionDom.find(".photos-box").remove();
                }

                optionInfoDom.push($optionDom);
            }
        }

        var $mainDom = $(this.quesbase.renderMainTemplate(obj[0]));
        var $optionContainer = $mainDom.find("#Main_Ques_Swiper");

        for(i = 0; i < optionInfoDom.length; i++){
            $optionContainer.append(optionInfoDom[i]);
        }
        this.questionContainer.append($mainDom);

        //设置题目信息
        this.quesList = obj;

        //swiper
        this.mainQuesSwiper = $("#Main_Ques_Swiper");

        //complex swiper
        this.complexSwiper = $("#Complex_Swiper");
    };

    /**
     * 调整数据
     * @param quesItem
     */
    MainPage.prototype.adjustQues = function(quesItem){

        if(quesItem.typecode == QuesTypeCode.Choice) {
            //单选题
            if(quesItem.answercount == 1)
            {
                quesItem.mainType = QuesName.Choice;
            }
            //多选
            else
            {
                quesItem.mainType = QuesName.MulitChoice;
            }

            var optionCount = quesItem.optioncount;
            var optionInfo =
                [{info:"A"},{info:"B"},{info:"C"},{info:"D"},{info:"E"},
                    {info:"F"},{info:"G"},{info:"H"},{info:"I"},{info:"J"}];
            optionInfo = optionInfo.slice(0,optionCount);
            quesItem.optionInfo = optionInfo;
        }

        //如果是填空题自动批改
        if(quesItem.typecode == QuesTypeCode.AutoBlank) {

            var autoBlankAnswer;
            try
            {
                autoBlankAnswer =  JSON.parse(quesItem.answer).answer == null ? JSON.parse(quesItem.answer): JSON.parse(quesItem.answer).answer;
            }
            catch(ex){
                autoBlankAnswer =  quesItem.answer;
            }

            for(var k = 0; k < autoBlankAnswer.length; k++)
            {
                autoBlankAnswer[k].index = k + 1;
            }
            quesItem.autoBlankAnswer = autoBlankAnswer;
        }
    };

    /**
     * 渲染小题内容html
     */
    MainPage.prototype.renderOptionQuesHtml = function(mainIndex,optionIndex,complexIndex) {

        var optionQues =  this.quesList[mainIndex - 1].childques[optionIndex - 1];

        if(this.from == From.Web){

            if(!optionQues.isComplex){

                if(optionQues.html == null || optionQues.html.length == 0){

                    var url = optionQues.cuthtmlurl;
                    $.ajax({
                        type : "get",
                        async: true,
                        url : url,
                        timeout:10000,
                        success: function(data) {
                            optionQues.html = data;
                            $("#Main_" + mainIndex  + "_Ques_" + optionIndex + "_content").append(data);
                        }
                    });
                }
            }
            else
            {
                var complexQues = optionQues.childques[complexIndex - 1];
                if(complexQues.html == null || complexQues.html.length == 0){

                    url = complexQues.cuthtmlurl;
                    $.ajax({
                        type : "get",
                        async: true,
                        url : url,
                        timeout:10000,
                        success: function(data) {
                            complexQues.html = data;
                            $("#Main_" + mainIndex  + "_Ques_" + optionIndex + "_Complex_" + complexIndex + "_content").append(data);
                        }
                    });
                }
            }
        }
        else {

            var self = this;
            complexQues = null;

            url = optionQues.cuthtmlurl;

            if(optionQues.childques != null){
                complexQues = optionQues.childques[complexIndex - 1];
                url = complexQues.cuthtmlurl;
            }

            setupWebViewJavascriptBridge( function(bridge){
                self.clientEvent.getHtmlContent( bridge, url, mainIndex, optionIndex, complexIndex,"optionHtml");
            });
        }
    };

    /**
     * 渲染综合题题干
     */
    MainPage.prototype.renderComplexHtml = function(mainIndex,optionIndex){

        var optionQuesItem = this.quesList[mainIndex - 1].childques[optionIndex-1];

        if(optionQuesItem.isComplex) {

            if(optionQuesItem.complexHtml == null || optionQuesItem.complexHtml.length == 0) {

                var url = optionQuesItem.htmls[0];

                if(this.from == From.Web){

                    $.ajax({
                        type : "get",
                        async: true,
                        url : url,
                        timeout:10000,
                        success: function(data) {
                            optionQuesItem.complexHtml = data;
                            $("#Main_" + mainIndex  +  "_Ques_"  +  optionIndex  + "_complex_content" ).find(".que-show").append(data);
                        }
                    });
                }

                else if(this.from == From.Mobile) {

                    var self = this;
                    setupWebViewJavascriptBridge( function(bridge){
                        self.clientEvent.getHtmlContent( bridge, url, mainIndex, optionIndex, 0, "complexHtml");
                    });
                }
            }
        }
    };

    /**
     * 初始化点击事件
     */
    MainPage.prototype.registerClickEvent = function() {

        var self = this;

        //填空题、简答题 拍照按钮
        $(".photos-btn-old, .revise-click").on("click",function(){

            var mainIndex = self.mainIndex;
            var optionIndex = self.optionIndex;
            var isRevise = $(this).attr("class").indexOf("revise-click") >= 0;
            var id = "#Main_" + mainIndex + "_Ques_" + optionIndex;

            if(!isRevise){
                var picCount = $(id).find(".answer-list").find("li").length;
            }
            else{
                picCount = 0;
                $(id).find(".answer-list").find("li").each(function(){
                    if($(this).find("div").text().indexOf("fs.yixuexiao.cn") < 0){
                        picCount++;
                    }
                })
            }

            setupWebViewJavascriptBridge( function(bridge) {
                self.clientEvent.openCamera(bridge, self.mainIndex, self.optionIndex,self.complexIndex,picCount,isRevise);
            });
        });

        //填空题、简答题 手写作答
        $(".photo-btn-write").on("click",function(){

            var mainIndex = self.mainIndex;
            var optionIndex = self.optionIndex;
            var id = "#Main_" + mainIndex + "_Ques_" + optionIndex;
            var picCount = $(id).find(".answer-list").find("li").length;

            setupWebViewJavascriptBridge(function(bridge) {
                self.clientEvent.openWrite(bridge, self.mainIndex, self.optionIndex,self.complexIndex,picCount);
            });

        });

        //答案图片预览滚动
        self.photoSwiper = new Swiper('#photo_prew_container', {
            direction: 'horizontal',
            longSwipesRatio: 0.1,
            initialSlide: 0,
            resistanceRatio : 0,
            prevButton : '#answer_swiper-button-prev',
            nextButton : '#answer_swiper-button-next'
        });

        //显示答案展示层
        $(document).on('click','.answer-list li',function(){
            self.photoPrew.show();
            var dom = "";

            var liIndex = $(this).index();

            $(this).parent().find("li").each(function(){
                var src = $(this).find('img').attr('src');
                var obj = {
                    "src":src
                };
                dom = dom + self.quesbase.renderPrewPhotoImage(obj);
            });

            self.photoSwiper.appendSlide(dom);

            self.photoSwiper.slideTo(liIndex,0);

        });

        //选择题作答（单选）
        $(document).on('click','.radio-list li',function(){
            $(this).closest('.radio-list').find('li').removeClass('sel');
            $(this).addClass('sel');

            //add by xfchen 2017/10/20 每步的缓存操作
            if(isAndroid){
                var answerObj = self.getStuAnswer();
                ZYPTJsNative.saveData(JSON.stringify(answerObj));
            }

            if(self.nextBtn.text() != "完成"){
                self.nextBtn.trigger("click");
            }
        });

        //判断题作答
        $(document).on('click','.judge-list li .judge-num,.judge-list li .judge-text',function(){
            $(this).closest('.judge-list').find('li').removeClass('sel');
            $(this).parent('li').addClass('sel');

            //add by xfchen 2017/10/20 每步的缓存操作
            if(isAndroid){
                var answerObj = self.getStuAnswer();
                ZYPTJsNative.saveData(JSON.stringify(answerObj));
            }

            if(self.nextBtn.text() != "完成"){
                self.nextBtn.trigger("click");
            }
        });

        //关闭答案显示层
        $("#photo_prew_close").on('click',function(){
            self.photoPrew.hide();
            self.photoSwiper.removeAllSlides();
        });

        //填空题自动批改
        $(".automatic-box .gap-filling").on('click',function(){

            var id = $(this).attr("id");
            var blankIndex = id.split("_").pop();
            var isComplex = self.quesList[self.mainIndex - 1].isComplex;

            setupWebViewJavascriptBridge( function(bridge) {
                var $dom;
                if(!isComplex){
                    $dom =  $("#Main_" + self.mainIndex + "_Ques_" + self.optionIndex + "_blank_" + blankIndex)
                }else{
                    $dom =  $("#Main_" + self.mainIndex + "_Ques_" + self.optionIndex + "_Complex_" + self.complexIndex +"_blank_" + blankIndex)
                }

                var answerStr = $dom.find(".answerStr").text();
                self.clientEvent.openAutoBlank(bridge, self.mainIndex, self.optionIndex,self.complexIndex, blankIndex, answerStr);
            });
        });

        //下一题按钮
        this.nextBtn.on('click',function(){

            if($(this).text() == "完成"){

                if(self.fromPage == FromPage.StuDoWork || self.fromPage == FromPage.StuDzNoAnswer ||  self.fromPage == FromPage.StuDzAnswer){
                    var answerObj =  self.getStuAnswer();
                    setupWebViewJavascriptBridge(function (bridge) {
                        self.clientEvent.getStuAnswer(bridge,answerObj);
                    });
                }
                else{
                    setupWebViewJavascriptBridge(function (bridge) {
                        self.clientEvent.viewQaComplete(bridge);
                    });
                }
            }

            //判断当前滚动题是否为综合题
            var complex = $('.que-main.swiper-slide').eq(self.optionSwiper.activeIndex).find('.complex-contaniner').length > 0;

            //获取是第几个综合题小轮播
//            var queSwiper = $('.que-main.swiper-slide').eq(self.optionSwiper.activeIndex).data('option-index') - 1;
            var queSwiper = $('.que-main.swiper-slide').eq(self.optionSwiper.activeIndex).data('complexswiper-index') - 1;

            var curComplexSwiper = self.getComplexSwiper(queSwiper);

            if (complex) {
                if (curComplexSwiper.isEnd) {
                    self.optionSwiper.slideNext();
                }else{
                    curComplexSwiper.slideNext();
                }
            }else{
                self.optionSwiper.slideNext();
            }
        });

        //上一题按钮
        this.preBtn.on('click',function(){

            //判断当前滚动题是否为综合题
            var complex = $('.que-main.swiper-slide').eq(self.optionSwiper.activeIndex).find('.complex-contaniner').length > 0;
            //获取是第几个综合题小轮播
//            var queSwiper = $('.que-main.swiper-slide').eq(self.optionSwiper.activeIndex).data('option-index') - 1;
            var queSwiper = $('.que-main.swiper-slide').eq(self.optionSwiper.activeIndex).data('complexswiper-index') - 1;
            var curComplexSwiper = self.getComplexSwiper(queSwiper);


            if (complex) {
                if (curComplexSwiper.isBeginning) {
                    self.optionSwiper.slidePrev();
                }else{
                    curComplexSwiper.slidePrev();
                }
            }else{
                self.optionSwiper.slidePrev();
            }
        });

        $("#MainQues").find(".que-num").on("click",function(){
            self.getStuAnswer();
        });

        //是否请教老师开关按钮
        $(".consult-switch").on('click',function(){

            var mainQuesItem = self.quesList[self.mainIndex-1];
            var optionQuesItem = mainQuesItem.childques[self.optionIndex - 1];
            var isComplex = mainQuesItem.isComplex;

            var mainIndex = mainQuesItem.index;
            var optionIndex = optionQuesItem.optionIndex;
            var complexIndex = -1;

            if(isComplex){
                complexIndex = optionQuesItem.childques[self.complexIndex - 1].complexIndex;
            }

            var tempOptionInedex = optionIndex;
            if(self.isNewDataMeta && isComplex){
                tempOptionInedex = complexIndex;
            }

            var needAsk = true;
            if ($(this).is('.open')) {
                needAsk = false;
            }
            setupWebViewJavascriptBridge( function(bridge) {
                self.clientEvent.askTea(bridge, mainIndex, optionIndex,complexIndex,needAsk,tempOptionInedex);
            });
        });
    };

    /**
     * client端事件
     */
    MainPage.prototype.registerClientEvent = function() {

        var self = this;
        this.clientEvent = {
            "openCamera": function (bridge, mainIndex, optionIndex, complexIndex, picCount,isRevise) {
                bridge.callHandler('openCamera', { 'mainIndex': mainIndex, "optionIndex": optionIndex, 'complexIndex': complexIndex, 'picCount': picCount }, function (response) {

                    var result;
                    if (isAndroid) {
                        result = JSON.parse(ZYPTJsNative.openCamera(mainIndex, optionIndex, complexIndex, picCount));
                    }
                    else {
                        result = JSON.parse(response);
                    }

                    if(result instanceof Array){
                        for(var i = 0; i< result.length; i++){
                            var imgBase64 = result[i].imgBase64;
                            var imgPath = result[i].imgPath;
                            if (imgBase64 != null && imgBase64.length != 0) {
                                self.addCameraImg(mainIndex, optionIndex, complexIndex, imgBase64, imgPath, isRevise);
                            }
                        }
                    }
                    else {
                        imgBase64 = result.imgBase64;
                        imgPath = result.imgPath;
                        if (imgBase64 != null && imgBase64.length != 0) {
                            self.addCameraImg(mainIndex, optionIndex, complexIndex, imgBase64, imgPath, isRevise);
                        }
                    }

                    //add by xfchen 2017/10/20 每步的缓存操作
                    if(isAndroid){
                        var answerObj = self.getStuAnswer();
                        ZYPTJsNative.saveData(JSON.stringify(answerObj));
                    }
                });
            },

            "getHtmlContent": function (bridge, url, mainIndex, optionIndex, complexIndex, type) {
                bridge.callHandler('getHtmlContent', { 'url': url, 'mainIndex': mainIndex, "optionIndex": optionIndex, "complexIndex": complexIndex }, function (response) {

                    var html = "";
                    if (isAndroid) {
                        html = ZYPTJsNative.getHtmlContent(url)
                    }
                    else {
                        html = JSON.parse(response).html;
                    }

                    var mainQues = self.quesList[mainIndex - 1];
                    var optionQues = mainQues.childques[optionIndex - 1];
                    var complexQues = null;
                    var isComplex = optionQues.isComplex;

                    if (isComplex) {
                        complexQues = optionQues.childques[complexIndex - 1];
                    }

                    if (type == "optionHtml") {
                        if (!isComplex) {

                            if (optionQues.html == null || optionQues.html.length == 0) {
                                optionQues.html = html;
                                $("#Main_" + mainIndex + "_Ques_" + optionIndex + "_content").append(optionQues.html);
                            }
                        }
                        else {
                            if (complexQues.html == null || complexQues.html.length == 0) {
                                complexQues.html = html;
                                $("#Main_" + mainIndex + "_Ques_" + optionIndex + "_Complex_" + complexIndex + "_content").append(complexQues.html);
                            }
                        }
                    }

                    else if (type == "complexHtml") {

                        if (optionQues.complexHtml == null || optionQues.complexHtml.length == 0) {
                            optionQues.complexHtml = html;
                            $("#Main_" + mainIndex + "_Ques_" + optionIndex + "_complex_content").find(".que-show").append(optionQues.complexHtml);
                        }
                    }
                });
            },

            "openAutoBlank": function (bridge, mainIndex, optionIndex, complexIndex, blankIndex, answerStr) {
                bridge.callHandler('openAutoBlank', {  'mainIndex': mainIndex, 'optionIndex': optionIndex, "complexIndex": complexIndex, 'blankIndex': blankIndex, 'answerStr': answerStr }, function (response) {
                    var result;
                    if (isAndroid) {
                        result = JSON.parse(ZYPTJsNative.openAutoBlank(mainIndex, optionIndex, complexIndex, blankIndex, answerStr));
                    }
                    else {
                        result = JSON.parse(response);
                    }

                    var imgBase64 = result.imgBase64;
                    var imgPath = result.imgPath;
                    var answerStr = result.answerStr;
                    var isCancel = result.isCancel;

                    if (!isCancel) {
                        var handleType = (imgBase64 == null || imgBase64.length == "0") ? "del" : "add";
                        self.handleAutoBlankAnswer(mainIndex, optionIndex, complexIndex, blankIndex, imgBase64, imgPath, answerStr, handleType);
                    }

                    //add by xfchen 2017/10/20 每步的缓存操作
                    if(isAndroid){
                        var answerObj = self.getStuAnswer();
                        ZYPTJsNative.saveData(JSON.stringify(answerObj));
                    }
                });
            },

            "getStuAnswer": function (bridge,answerObj) {
                bridge.callHandler('getStuAnswer',answerObj, function () {
                });
            },

            "getBase64WithLocalImagePath": function (bridge, mainIndex, optionIndex, complexIndex, imgPathArr, answer, type, isComplex) {
                bridge.callHandler('getBase64WithLocalImagePath', imgPathArr, function (response) {
                    var result;
                    if (isAndroid) {
                        result = JSON.parse(ZYPTJsNative.getBase64WithLocalImagePath(imgPathArr));
                    }
                    else {
                        result = response;
                    }

                    for(var i = 0; i < result.length; i++){
                        answer[i].imgBase64 = result[i];
                        var $dom;

                        if(!isComplex)
                        {
                            if(type == QuesName.Blank){
//                                $dom  = $('.que-main.swiper-slide[data-main-index = "' + mainIndex + '"]').find('.answer-list');
//                                $dom = $(".blank-answer-ext");
                                //add by chengyang 2017/11/20 修改单个试卷填空题不合并大题功能
                                $dom = $('.que-main.swiper-slide[data-main-index = "' + mainIndex + '"]').find(".blank-answer-ext");
                                $dom.each(function(){
                                    $(this).find("li").eq(i).find("img").attr("src", answer[i].imgBase64);
                                });

                            }else if(type == QuesName.SimpleAnswer){
                                $dom = $("#Main_" + mainIndex + "_Ques_" + optionIndex + "_respond").find('.answer-list');
                                $dom.find("li").eq(i).find("img").attr("src",answer[i].imgBase64);
                            }
                            else if( type == QuesName.AutoBlank){
                                var blankIndex = answer[i].blankIndex;
                                $dom = $("#Main_" + mainIndex + "_Ques_" + optionIndex + "_blank_" + blankIndex);
                                $dom.find("img").attr("src",answer[i].imgBase64);
                            }
                        }
                        else
                        {
                            if(type == QuesName.Blank || type == QuesName.SimpleAnswer){
                                $dom = $("#Main_" + mainIndex + "_Ques_" + optionIndex).find('.answer-list').each(function(){
                                    $(this).find("li").eq(i).find("img").attr("src",answer[i].imgBase64);
                                });
                            }
                            else if( type == QuesName.AutoBlank){
                                blankIndex = answer[i].blankIndex;
                                $dom = $("#Main_" + mainIndex + "_Ques_" + optionIndex + "_Complex_" + complexIndex  + "_blank_" + blankIndex);
                                $dom.find("img").attr("src",answer[i].imgBase64);
                            }
                        }
                    }
                });
            },

            "getDetailStuBase64WithLocalImagePath": function (bridge, mainIndex, optionIndex, complexIndex, imgPathArr, answer, type) {
                bridge.callHandler('getBase64WithLocalImagePath', imgPathArr, function (response) {
                    var result;
                    if (isAndroid) {
                        result =  JSON.parse(ZYPTJsNative.getBase64WithLocalImagePath(imgPathArr));
                    }
                    else {
                        result = response;
                    }

                    var isComplex = self.quesList[mainIndex - 1].isComplex;
                    if(!isComplex) complexIndex = -1;
                    for(var i = 0;i < result.length;i++){

                        answer[i].imgBase64 = result[i];

                        if(!isComplex || type == QuesName.AutoBlank){

                            if(type == QuesName.Blank){
//                                $('.que-main.swiper-slide[data-main-index = "' + mainIndex + '"]').find(".answer-list")
				 //add by chengyang 2017/11/20 修改单个试卷填空题不合并大题功能
                                $dom = $('.que-main.swiper-slide[data-main-index = "' + mainIndex + '"]').find(".blank-answer-ext").each(function(){
                                    $(this).find("li").eq(i).find("img").attr("src", answer[i].imgBase64);
                                });
                            }

                            else if(type == QuesName.SimpleAnswer){
                                var $dom = $("#Main_" + mainIndex + "_Ques_" + optionIndex + "_Complex_" + complexIndex + "_detail");
                                $dom.find(".my-answer").find("li").eq(i).find("img").attr("src",  answer[i].imgBase64);
                            }

                            else if(type == QuesName.AutoBlank){
                                $dom = $("#Main_" + mainIndex + "_Ques_" + optionIndex + "_Complex_" + complexIndex + "_blank_" + ( i + 1));
                                $dom.find("img").attr("src", answer[i].imgBase64);
                            }
                        }

                        else if(isComplex && (type == QuesName.Blank || type == QuesName.SimpleAnswer)){
                             $("#Main_" + mainIndex + "_Ques_" + optionIndex + "_complex_content")
                                 .find(".answer-list").find("li").eq(i).find("img").attr("src", answer[i].imgBase64)
                        }
                    }
                });
            },

            "getStandardHtml": function (bridge, url, mainIndex, optionIndex, complexIndex, $dom, answerObj) {

                bridge.callHandler('getHtmlContent', { 'url': url, 'mainIndex': mainIndex, "optionIndex": optionIndex, "complexIndex": complexIndex }, function (response) {
                    var html = "";
                    if (isAndroid) {
                        html = ZYPTJsNative.getHtmlContent(url)
                    }
                    else {
                        html = JSON.parse(response).html;
                    }

                    answerObj.standardAnswer = html;

                    $dom.find(".stardand_answer").html(answerObj.standardAnswer);
                })

            },

            "getAnalysisHtml": function (bridge, url, mainIndex, optionIndex, complexIndex, $dom, answerObj) {
                bridge.callHandler('getHtmlContent', { 'url': url, 'mainIndex': mainIndex, "optionIndex": optionIndex, "complexIndex": complexIndex }, function (response) {

                    var html = "";
                    if (isAndroid) {
                        html = ZYPTJsNative.getHtmlContent(url)
                    }
                    else {
                        html = JSON.parse(response).html;
                    }

                    answerObj.analysis = html;
                    $dom.find(".analysis_answer").html(answerObj.analysis);
                })

            },

            "viewQaComplete":function(bridge){
                bridge.callHandler('viewQaComplete',function (response) {
                });
            },

            "askTea":function(bridge, mainIndex, optionIndex, complexIndex, needAsk,tempOptionIndex){
                bridge.callHandler('askTea', { "mainIndex": mainIndex, "optionIndex": tempOptionIndex, "complexIndex": complexIndex, "needAsk":needAsk }, function (response) {

                    if(response == true || response == 1 || response == "1"){
                        var $dom = $("#Main_" + mainIndex + "_Ques_" + optionIndex + "_Complex_" + complexIndex + "_stu_consult").find(".consult-switch");
                        if(needAsk){
                            $dom.addClass('open');
                        }else{
                            $dom.removeClass('open');
                        }
                    }

                    //add by xfchen 2017/10/20 每步的缓存操作
                    if(isAndroid){
                        var answerObj = self.getStuAnswer();
                        ZYPTJsNative.saveData(JSON.stringify(answerObj));
                    }
                });
            },

            "openWrite":function(bridge,mainIndex,optionIndex,complexIndex,picCount){
                bridge.callHandler('openWrite', { 'mainIndex': mainIndex, "optionIndex": optionIndex, 'complexIndex': complexIndex,'picCount': picCount}, function (response) {

                    var result;
                    if (isAndroid) {
                        result = JSON.parse(ZYPTJsNative.openWrite(mainIndex, optionIndex, complexIndex, picCount));
                    }
                    else {
                        result = JSON.parse(response);
                    }

                    var imgPath = result.imgPath;
                    var imgBase64 = result.imgBase64;

                    self.addCameraImg(mainIndex, optionIndex, complexIndex, imgBase64, imgPath, false);
                });
            }
        }
    };

    /**
     * 添加相机拍照图片 / 手写图片
     */
    MainPage.prototype.addCameraImg = function (mainIndex, optionIndex, complexIndex, imgBase64, imgPath, isRevise) {

        var mainQuesItem = this.quesList[mainIndex - 1];
        var type = mainQuesItem.type;

        if(optionIndex > 0){
            type = mainQuesItem.childques[optionIndex - 1].mainType;
        }

        var isComplex = mainQuesItem.isComplex;
        var classtype = isComplex ? "complex" : "no-complex";
        var obj = {
            "str": imgBase64,
            "type": type,
            "path": imgPath,
            "classtype": classtype
        };

        var $dom;
        if (isComplex) {
            $dom =  $("#Main_" + mainIndex + "_Ques_" + optionIndex + "_complex_respond");
            if(type == QuesName.Blank || type == QuesName.SimpleAnswer){
                $dom.show().next().show();
                $dom = $("#Main_" + mainIndex + "_Ques_" + optionIndex).find(".answer-list");
            }
        }

        else if (type == QuesName.SimpleAnswer) {
            $dom =  $("#Main_" + mainIndex + "_Ques_" + optionIndex).find(".answer-list");
        }

        else if (type == QuesName.Blank) {
//            $dom = $('.que-main.swiper-slide[data-main-index = "' + mainIndex + '"]').find('.answer-list');
//            $dom = $("#Main_" + mainIndex +"_Ques_" + optionIndex + "_respond").find('.answer-list').removeClass("blank-answer-ext");
//            $dom = $(".blank-answer-ext");
            //add by chengyang 2017/11/20 修改单个试卷填空题不合并大题功能
            $dom = $('.que-main.swiper-slide[data-main-index = "' + mainIndex + '"]').find(".blank-answer-ext");
        }

        //判断是否是手写作答
        if(imgPath.indexOf("_openwrite.") > -1){

            var liArr = $dom.find("li");
            for(var i = 0; i < liArr.length; i++){

                var $li = $(liArr[i]);
                var text = $li.find('div').text();

                //如果存在则替换，否则从后面添加
                if(text.indexOf("_openwrite.") > -1){
                    $li.find('img').attr("src", imgBase64);
                    $li.find('div').text(imgPath);
                    return;
                }
            }
        }

        var $picDom = $(this.quesbase.renderPhotoImage(obj,isRevise));
        $dom.append($picDom);

    };

    /**
     * 填空题自动批改答案
     */
    MainPage.prototype.handleAutoBlankAnswer = function (mainIndex, optionIndex, complexIndex, blankIndex, imgBase64, imgPath, answerStr, handleType) {

        var mainQuesItem = this.quesList[mainIndex - 1];
        var isComplex = mainQuesItem.isComplex;
        var container;

        if (!isComplex) {
            container = $("#Main_" + mainIndex + "_Ques_" + optionIndex + "_blank_" + blankIndex);
        }
        else
        {
            container = $("#Main_" + mainIndex + "_Ques_" + optionIndex + "_Complex_" + complexIndex  + "_blank_" + blankIndex);
        }

        container.find(".answerStr").text(answerStr);
        container.find(".imgPath").text(imgPath);

        if (handleType == "add") {
            //add by xfchen 添加判断，如果是不包含公式(只要含\和^)则直接文本显示
            if((answerStr.indexOf("\\") == -1 && answerStr.indexOf("^") == -1) || imgPath == null || imgPath.length == 0){
                container.find(".auto-gapBox-srcoll").text(answerStr);
            }else {
                container.find(".auto-gapBox-srcoll").text("");
                container.find(".auto-gapBox-srcoll").append("<img>");
                container.find("img").attr("src", imgBase64);
            }
        }
        else {
            container.find("img").removeAttr("src");
            container.find(".auto-gapBox-srcoll").text("");

        }
    };

    /**
     * 添加滚动功能
     */
    MainPage.prototype.enableSlide = function () {

        var self = this;

        this.optionSwiper = new Swiper('#Main_Ques_Swiper_Container', {
            direction: 'horizontal',
            longSwipesRatio: 0.1,
            initialSlide: 0,
            resistanceRatio: 0,
            onSlideChangeStart: function (swiper) {

                var curIndex = swiper.activeIndex;
                var $curDom = self.mainQuesSwiper.children().eq(curIndex);
                var mainIndex = $curDom.attr("data-main-index");
                var optionIndex = $curDom.attr("data-option-index");

                if(self.adjustNewDataMetaComplex){
                    var complexIndex = self.complexIndex;
                }
                else{
                    complexIndex = $curDom.find(".que-roll.swiper-slide-active").data("complex-index");
                    self.complexIndex = complexIndex;
                }

                self.mainIndex = mainIndex;
                self.optionIndex = optionIndex;

                //渲染题目和上一题、下一题
                self.renderTitleAndBtn(mainIndex, optionIndex, complexIndex, true);

                //渲染综合题干
                self.renderComplexHtml(mainIndex, optionIndex);

                //渲染题目
                self.renderOptionQuesHtml(mainIndex, optionIndex, 1);
                
                //渲染学生作答详情
                self.renderSwiperStuAnswer(mainIndex, optionIndex,complexIndex);

                if (self.fromPage != FromPage.StuDoWork) {
                    self.renderSwiperDetailStuAnswer(mainIndex, optionIndex, complexIndex);
                    self.renderSwiperStandardAnswer(mainIndex, optionIndex, complexIndex);
                }
            }
        });

        this.complexSwiper = new Swiper('.complex-contaniner', {
            direction: 'horizontal',
            longSwipesRatio: 0.1,
            nested: true,
            initialSlide: 0,
            resistanceRatio: 0,
            onSlideChangeStart: function (swiper) {

                if(self.adjustNewDataMetaComplex){
                    var complexIndex = self.complexIndex;
                }
                else{
                    complexIndex = swiper.activeIndex + 1;
                    self.complexIndex = complexIndex;
                }

                var mainIndex = self.mainIndex;
                var optionIndex = self.optionIndex;

                self.renderTitleAndBtn(mainIndex, optionIndex,complexIndex, false);

                self.renderOptionQuesHtml(mainIndex, optionIndex, complexIndex);

                self.renderSwiperStuAnswer(mainIndex, optionIndex, complexIndex);

                if (self.fromPage != FromPage.StuDoWork) {
                    self.renderSwiperDetailStuAnswer(mainIndex, optionIndex, complexIndex);
                    self.renderSwiperStandardAnswer(mainIndex, optionIndex, complexIndex);
                }
            }
        });
    };

    /**
     * 获取学生作答答案设置答案
     */
    MainPage.prototype.getStuAnswer = function (){

        var obj = this.quesList;
        var answerObj = this.resultList;

        var mainQuesCount = obj.length;
        var respond;

        for (var i = 0; i < mainQuesCount; i++) {
            var mainQuesItem = obj[i];
            var mainAnswerItem = answerObj[i];
            var mainIndex = i + 1;
            var isComplex = mainQuesItem.isComplex;

            if (!isComplex && mainQuesItem.type == QuesName.Blank) {

                respond = $("#Main_" + mainIndex + "_Ques_1");
                mainAnswerItem.stuanswer = this.getSingleAnswer(mainQuesItem.type, respond);
                if (isIOS) {
                    mainAnswerItem.stuanswerlist = mainAnswerItem.stuanswer;
                }
                continue;
            }

            var optionQuesList = mainQuesItem.childques;
            var optionQuesCount = optionQuesList.length;

            var optionAnswerList = mainAnswerItem.childques;

            for (var j = 0; j < optionQuesCount; j++) {
                var optionQuesItem = optionQuesList[j];
                var optionAnswerItem = optionAnswerList[j];
                var optionIndex = j + 1;

                if (!isComplex) {
                    respond = $("#Main_" + mainIndex + "_Ques_" + optionIndex);
                    optionAnswerItem.stuanswer = this.getSingleAnswer(optionQuesItem.mainType, respond);
                    if (isIOS) {
                        optionAnswerItem.stuanswerlist = optionAnswerItem.stuanswer;
                    }
                }
                else {
                    var complexQuesList = optionQuesItem.childques;
                    var complexCount = complexQuesList.length;

                    var complexAnswerList = optionAnswerItem.childques;

                    for (var u = 0; u < complexCount; u++) {

                        var complexQuesItem = complexQuesList[u];
                        var complexAnswerItem = complexAnswerList[u];

                        var complexIndex = u + 1;
                        respond = $("#Main_" + mainIndex + "_Ques_" + optionIndex + "_Complex_" + complexIndex + "_respond");

                        if(optionQuesItem.mainType == QuesName.Blank || optionQuesItem.mainType == QuesName.SimpleAnswer){
                            respond = $("#Main_" + mainIndex + "_Ques_" + optionIndex + "_complex_content");
                            optionAnswerItem.stuanswer = this.getSingleAnswer(complexQuesItem.mainType, respond);
                            if(isIOS){
                                optionAnswerItem.stuanswerlist = optionAnswerItem.stuanswer;
                            }
                            break;
                        }
                        else{
                            complexAnswerItem.stuanswer = this.getSingleAnswer(complexQuesItem.mainType, respond);
                            if (isIOS) {
                                complexAnswerItem.stuanswerlist = complexAnswerItem.stuanswer;
                            }
                        }
                    }
                }
            }
        }
        return this.handleAnswerMetaData(answerObj);
    };

    /**
     * 获取单个小题答案
     */
    MainPage.prototype.getSingleAnswer = function (type, respond) {

        var answer;
        var self = this;
        //选择题
        if (type == QuesName.Choice || type == QuesName.MulitChoice) {
            answer = respond.find('.sel').find('span').text();

            if(answer != null && answer.length > 1 && answer.indexOf(",") < 0){
                answer = answer.split("").join(",");
            }
        }

        //判断题
        else if (type == QuesName.Judge) {
            answer = respond.find('.sel').find('.judge-num').text();
        }

        //填空题、选择题
        else if (type == QuesName.Blank || type == QuesName.SimpleAnswer) {

            answer = [];
            respond.find(".answer-list").find("li").each(function () {
                var $this = $(this);
                var imgPath = $this.find("div").text();
                var imgBase64 = "";
                if (self.from == From.Web) {
                    imgBase64 = $this.find("img").attr("src");
                }

                var obj = {
                    imgPath: imgPath,
                    imgBase64: imgBase64
                };

                answer.push(obj)
            });
        }

        //填空题自动批改题
        else if (type == QuesName.AutoBlank) {

            answer = [];
            var blankIndex = 0;

            respond.find(".gap-filling").each(function () {
                var $this = $(this);
                var answerStr = $this.find(".answerStr").text();
                var imgPath = $this.find(".imgPath").text();
                var imgBase64 = "";

                if (self.from == From.Web) {
                    imgBase64 = $this.find("img").attr("src");
                }

                blankIndex++;

                if (answerStr != null && answerStr.length > 0) {
                    var obj = {
                        imgPath: imgPath,
                        answerStr: answerStr,
                        blankIndex: blankIndex,
                        imgBase64: imgBase64
                    };
                    answer.push(obj);
                }
            });
        }

        if (answer != null && answer instanceof  Array) {
            if (answer.length == 0) {
                answer = null;
            }
        }

        return answer;
    };

    /**
     * 渲染学生答案b
     */
    MainPage.prototype.renderStuAnswer = function (answerObj, obj) {

        if (answerObj == null) return;

        var mainQuesCount = answerObj.length;
        var respond;

        for (var i = 0; i < mainQuesCount; i++) {
            var mainQuesItem = obj[i];
            var mainAnswerItem = answerObj[i];
            var mainIndex = i + 1;
            var isComplex = mainQuesItem.isComplex;

            if (!isComplex && mainQuesItem.type == QuesName.Blank) {

                respond = $('.que-main.swiper-slide[data-main-index = "' + mainIndex + '"]').find('.answer-list');
                this.renderSingleStuAnswer(mainQuesItem.type, respond, mainAnswerItem.stuanswer, mainIndex, -1, -1);
                continue;
            }

            var optionQuesList = mainQuesItem.childques;
            var optionAnswerList = mainAnswerItem.childques;
            var optionQuesCount = optionAnswerList.length;

            for (var j = 0; j < optionQuesCount; j++) {
                var optionQuesItem = optionQuesList[j];
                var optionAnswerItem = optionAnswerList[j];
                var optionIndex = j + 1;

                if (!isComplex) {
                    respond = $("#Main_" + mainIndex + "_Ques_" + optionIndex + "_respond");
                    this.renderSingleStuAnswer(optionQuesItem.mainType, respond, optionAnswerItem.stuanswer, mainIndex, optionIndex, -1);
                }
                else {
                    var complexQuesList = optionQuesItem.childques;
                    var complexAnswerList = optionAnswerItem.childques;
                    var complexCount = complexAnswerList.length;

                    for (var u = 0; u < complexCount; u++) {
                        var complexQuesItem = complexQuesList[u];
                        var complexAnswerItem = complexAnswerList[u];
                        var complexIndex = u + 1;

                        respond = $("#Main_" + mainIndex + "_Ques_" + optionIndex + "_Complex_" + complexIndex + "_respond");

                        if(optionQuesItem.mainType == QuesName.Blank || optionQuesItem.mainType == QuesName.SimpleAnswer){
                            respond = $("#Main_" + mainIndex + "_Ques_" + optionIndex + "_complex_respond");
                            this.renderSingleStuAnswer(complexQuesItem.mainType, respond, optionAnswerItem.stuanswer, mainIndex, optionIndex, complexIndex);
                            break;
                        }
                        else{
                            this.renderSingleStuAnswer(complexQuesItem.mainType, respond, complexAnswerItem.stuanswer, mainIndex, optionIndex, complexIndex);
                        }
                    }
                }
            }
        }
    };

    /**
     * 渲染单个答案
     */
    MainPage.prototype.renderSingleStuAnswer = function (type, respond, answer, mainIndex, optionIndex, complexIndex) {

        if (answer == null || answer.length == 0) return;

        var id = respond.attr("id");

        //选择题、判断题
        if (type == QuesName.Choice || type == QuesName.MulitChoice || type == QuesName.Judge) {

            answer.split(",").forEach(function (val) {
                respond.find("#" + id + "_" + val).addClass("sel");
            });
        }

        //填空题、简答题
        else if ( type == QuesName.Blank || type == QuesName.SimpleAnswer ) {

            for (var i = 0; i < answer.length; i++) {
                var item = answer[i];
                var imgBase64 = item.imgBase64;
                var imgPath = item.imgPath;

                this.addCameraImg(mainIndex, optionIndex, complexIndex, imgBase64, imgPath);
            }
        }

        //填空题自动批改题
        else if (type == QuesName.AutoBlank) {

            for (i = 0; i < answer.length; i++) {
                item = answer[i];
                imgBase64 = item.imgBase64;
                imgPath = item.imgPath;

                var blankIndex = item.blankIndex;
                var answerStr = item.answerStr;

                this.handleAutoBlankAnswer(mainIndex, optionIndex, complexIndex, blankIndex, imgBase64, imgPath, answerStr, "add");
            }
        }
    };

    /**
     *  渲染翻页答案
     */
    MainPage.prototype.renderSwiperStuAnswer = function (mainIndex, optionIndex, complexIndex) {

//        if (!isAndroid && !isIOS) return;
        if(this.fromPage != FromPage.StuDoWork) return;

        var mainQuesItem = this.quesList[mainIndex - 1];
        var optionQuesItem = mainQuesItem.childques[optionIndex - 1];
        var mainAnswerItem = this.resultList[mainIndex - 1];
        var isComplex = mainQuesItem.isComplex;
        var answer;
        var self = this;

        var type = optionQuesItem.mainType;
        if (type == QuesName.Blank || type == QuesName.SimpleAnswer ||type == QuesName.AutoBlank) {

            //填空题、简答题
            if (type == QuesName.Blank || type == QuesName.SimpleAnswer) {

                if (!isComplex) {

                    if (type == QuesName.Blank) {
                        answer = mainAnswerItem.stuanswer;
//                        respond = $('.que-main.swiper-slide[data-main-index = "' + mainIndex + '"]').find('.answer-list');
                    }
                    else if (type == QuesName.SimpleAnswer) {
//                        respond = $("#Main_" + mainIndex + "_Ques_" + optionIndex + "_respond").find('.answer-list');
                        answer = mainAnswerItem.childques[optionIndex - 1].stuanswer;
                    }
                }

                if (isComplex) {
//                    respond = $("#Main_" + mainIndex + "_Ques_" + optionIndex + "_Complex_" + complexIndex + "_respond").find('.answer-list');
                    answer = mainAnswerItem.childques[optionIndex - 1].stuanswer;
                }
            }

            else if (type == QuesName.AutoBlank) {

                if (!isComplex) {
//                    respond = $("#Main_" + mainIndex + "_Ques_" + optionIndex + "_respond").find('.answer-list');
                    answer = mainAnswerItem.childques[optionIndex - 1].stuanswer;
                }
                else {
//                    respond = $("#Main_" + mainIndex + "_Ques_" + optionIndex + "_Complex_" + complexIndex + "_respond").find('.answer-list');
                    answer = mainAnswerItem.childques[optionIndex - 1].childques[complexIndex - 1].stuanswer;
                }
            }

            if (answer == null || answer.length == 0) return;
            var imgPathArr = [];
            for (var i = 0; i < answer.length; i++) {
                var item = answer[i];
                var imgBase64 = item.imgBase64;
                if (imgBase64 != null && imgBase64.length > 0) {
                    return;
                }
                else {
                    imgPathArr.push(item.imgPath);
                }
            }
            if(imgPathArr.length > 0){
                setupWebViewJavascriptBridge(function (bridge) {
                    self.clientEvent.getBase64WithLocalImagePath(bridge, mainIndex, optionIndex, complexIndex, imgPathArr, answer, optionQuesItem.mainType, isComplex);
                });
            }
        }
    };

    /**
     * 渲染答题详情学生答案
     */
    MainPage.prototype.renderDetailStuAnswer = function (answerObj, obj) {

        var mainQuesCount = answerObj.length;
        var $dom;

        for (var i = 0; i < mainQuesCount; i++) {
            var mainQuesItem = obj[i];
            var mainAnswerItem = answerObj[i];
            var mainIndex = i + 1;
            var isComplex = mainQuesItem.isComplex;

            var optionQuesList = mainQuesItem.childques;
            var optionAnswerList = mainAnswerItem.childques;
            var optionQuesCount = optionAnswerList.length;

            for (var j = 0; j < optionQuesCount; j++) {
                var optionQuesItem = optionQuesList[j];
                var optionAnswerItem = optionAnswerList[j];
                var optionIndex = j + 1;

                if (!isComplex) {
                    $dom = $("#Main_" + mainIndex + "_Ques_" + optionIndex).find(".que-roll");
                    var stuAnswer = optionAnswerItem.stuanswer;
                    if (optionQuesItem.mainType == QuesName.Blank) {
                        stuAnswer = mainAnswerItem.stuanswer;
                    }
                    var needAsk = (optionAnswerItem.needAsk == null || optionAnswerItem.needAsk == false ) ? "" : "open";
                    this.renderSingleDetailStuAnswer(optionQuesItem.mainType, stuAnswer, $dom, mainIndex, optionIndex, -1, optionAnswerItem.answer,needAsk,isComplex,optionAnswerItem);
                }
                else {
                    var complexQuesList = optionQuesItem.childques;
                    var complexAnswerList = optionAnswerItem.childques;
                    var complexCount = complexAnswerList.length;

                    for (var u = 0; u < complexCount; u++) {
                        var complexQuesItem = complexQuesList[u];
                        var complexAnswerItem = complexAnswerList[u];
                        var complexIndex = u + 1;
                        $dom = $("#Main_" + mainIndex + "_Ques_" + optionIndex + "_Complex_" + complexIndex);
                        needAsk = (complexAnswerItem.needAsk == null || complexAnswerItem.needAsk == false ) ? "" : "open";

                        if(optionQuesItem.mainType == QuesName.Blank || optionQuesItem.mainType == QuesName.SimpleAnswer){
                            this.renderSingleDetailStuAnswer(complexQuesItem.mainType, optionAnswerItem.stuanswer, $dom, mainIndex, optionIndex, complexIndex, complexQuesItem.answer, needAsk, isComplex,optionAnswerItem);
                        }
                        else{
                            this.renderSingleDetailStuAnswer(complexQuesItem.mainType, complexAnswerItem.stuanswer, $dom, mainIndex, optionIndex, complexIndex, complexQuesItem.answer, needAsk, isComplex,complexAnswerItem);
                        }
                    }
                }
            }
        }
    };

    /**
     * 渲染答题详情学生单个答案
     */
    MainPage.prototype.renderSingleDetailStuAnswer = function (type, answer, $dom, mainIndex, optionIndex, complexIndex, standardAnswer, needAsk, isComplex,answerItem) {

        var $detailAnswerDom;

        //选择、判断
        if (type == QuesName.Choice || type == QuesName.MulitChoice || type == QuesName.Judge) {

            if(type == QuesName.Judge){
                if(answer == "A" || answer == "a"){
                    answer = "正确";
                }
                else if(answer == "B" || answer == "b"){
                    answer = "错误";
                }
            }

            var renderObj = {
                "stuAnswer": answer,
                "mainIndex": mainIndex,
                "optionIndex": optionIndex,
                "complexIndex": complexIndex,
                "needAsk":needAsk
            };

            $detailAnswerDom = $(this.quesbase.renderDetailStuAnswer("choice", renderObj));
        }

        //填空题、简答题
        else if (type == QuesName.Blank || type == QuesName.SimpleAnswer ) {

            var reviseClickStyle =  answerItem.isRevise && (this.fromPage == FromPage.StuDzNoAnswer || this.fromPage == FromPage.StuDzAnswer ) ? "" : "none";
            var blankExt =  (type == QuesName.Blank && !isComplex) ? "blank-answer-ext":"";

            renderObj = {
                "mainIndex": mainIndex,
                "optionIndex": optionIndex,
                "complexIndex": complexIndex,
                "needAsk": needAsk,
                "reviseClickStyle":reviseClickStyle,
                blankExt:blankExt,
                "pic": []
            };

            if (answer != null) {

                for (var k = 0; k < answer.length; k++) {
                    var imgBase64 = answer[k].imgBase64;
                    var imgPath = answer[k].imgPath;
                    var dzStatus =  answer[k].dzStatus;
                    var isPicRevise = dzStatus == correctStatus.AfterDz ? true:false
                    var isCommonPic = dzStatus == correctStatus.NoDz ? true:false
                    var reviseBe = answerItem.isRevise && !isCommonPic && !isPicRevise ? "": "none";
                    var reviseEd = answerItem.isRevise && isPicRevise ? "" : "none";
                    var delStyle = isPicRevise && imgPath.indexOf("fs.yixuexiao.cn") < 0 ? "":"none";
                    var classtype = isComplex ? "complex":"no-complex";

                    var item = {
                        imgBase64:imgBase64,
                        imgPath:imgPath,
                        reviseBe:reviseBe,
                        reviseEd:reviseEd,
                        delStyle:delStyle,
                        classtype:classtype
                    };
                    renderObj.pic.push(item);
                }
            }

            $detailAnswerDom = $(this.quesbase.renderDetailStuAnswer("blank", renderObj));
        }

        else if( type == QuesName.AutoBlank){

            var obj = {
                "renderObj":[],
                "standardObj":[],
                "mainIndex": mainIndex,
                "optionIndex": optionIndex,
                "complexIndex": complexIndex,
                "needAsk": needAsk
            };
            if (answer != null) {

                for (k = 0; k < answer.length; k++) {

                    var url = answer[k].imgPath;
                    var content = answer[k].answerStr;

                    //add by xfchen 添加判断，如果是不包含公式(只要含\和^)则直接文本显示
                    if((content.indexOf("\\") == -1 && content.indexOf("^") == -1) || url == null || url.length == 0){
                        url = "";
                        content = content.replace(/\\ /g, " ");
                    }else {
                        content = "";
                    }

                     renderObj = {
                        "mainIndex": mainIndex,
                        "optionIndex": optionIndex,
                        "complexIndex": complexIndex,
                        "index": answer[k].blankIndex,
                        "imgbase64":url,
                        "content":content,
                        "answerStr":answer[k].answerStr,
                        "imgPath":answer[k].imgPath
                    };
                    obj.renderObj.push(renderObj);
                }
            }

            if(standardAnswer != null){

                standardAnswer = JSON.parse(standardAnswer);
                standardAnswer = standardAnswer.answer == null ? standardAnswer : standardAnswer.answer;

                for( k = 0; k < standardAnswer.length; k++ ){

                    var standardObj = {
                        "mainIndex": mainIndex,
                        "optionIndex": optionIndex,
                        "complexIndex": complexIndex,
                        "index": k + 1,
                        "imgbase64Arr": []
                    };

                    var detailAnswer = standardAnswer[k].detailAnswer;
                    for(var u = 0; u < detailAnswer.length; u++){
                        var url = detailAnswer[u].answerAddress;
                        var content = detailAnswer[u].blankAnswer;
                        var displayStyle = "none";

                        var autoImg;
                        //add by xfchen 添加判断，如果是不包含公式(只要含\和^)则直接文本显示
                        if((content.indexOf("\\") == -1 && content.indexOf("^") == -1) || url == null || url.length == 0){
                            autoImg = "";
                            content = content.replace(/\\ /g, " ");
                        }
                        else{
                            if(!url.indexOf("fs.yixuexiao.cn") > 0){
                               url = "http://fs.yixuexiao.cn" + url;
                            }
                            autoImg = url;
                            content = "";
                            displayStyle = "";
                        }

                        var blankObj = {
                            "imgbase64":autoImg,
                            "content":content,
                            "mainIndex": mainIndex,
                            "optionIndex": optionIndex,
                            "complexIndex": complexIndex,
                            "blankIndex": k + 1,
                            "miniIndex": u + 1,
                            "displayStyle":displayStyle
                        };

                        standardObj.imgbase64Arr.push(blankObj);
                    }

                    obj.standardObj.push(standardObj);
                }
            }
            $detailAnswerDom = $(this.quesbase.renderDetailStuAnswer("autoblank", obj));
            $detailAnswerDom.find("img").each(function(){
                var $this = $(this);
                if($this.attr("src") == "")
                    $this.remove();
            })
        }

        /*这里处理答题详情中的，1.显示学生答案 2.显示标准答案 3.学生端、教师端 请教老师 4.订正*/
        //学生端请教老师
        if (this.fromPage == FromPage.StuDetailNoAnswer
                || this.fromPage == FromPage.StuDetailAnswer
                || this.fromPage == FromPage.StuDzNoAnswer
                || this.fromPage == FromPage.StuDzAnswer ) {

            $dom.find(".stu-consult").show();
        }

        //教师端请教老师
        if(this.fromPage == FromPage.TeaDetailAnswer || this.fromPage ==  FromPage.TeaDz){
            if(needAsk.length > 0){
                $detailAnswerDom.find(".tea-consult").show()
            }
        }

        if(this.isCheck != null && this.isCheck){
            //学生端答题详情
            if (this.fromPage != FromPage.StuDoWork
                && this.fromPage != FromPage.TeaAnswer
                && this.fromPage != FromPage.StuDetailNoAnswer
                && this.fromPage != FromPage.StuDzNoAnswer) {
                $(".grade-show").show();
            }else{
                $(".grade-show").hide();
            }
        }

        //学生端答题详情
        if (this.fromPage != FromPage.StuDoWork && this.fromPage != FromPage.TeaAnswer) {
            var $item = $detailAnswerDom.find(".my-answer").show();
            var $target = $("#Main_" + mainIndex + "_Ques_" + optionIndex  + "_complex_content");
            $target.find(".answer-show").remove();

            if(isComplex && (type == QuesName.Blank || type == QuesName.SimpleAnswer)){
                if(complexIndex == 1){
                    $item.appendTo($target);
                }
                else{
                    $item.remove();
                }
            }
        }

        if(this.fromPage == FromPage.StuDoWork
            || this.fromPage == FromPage.StuDetailNoAnswer
            || this.fromPage == FromPage.StuDzNoAnswer){
            $detailAnswerDom.find(".right-answers").hide();
        }else{
            $detailAnswerDom.find(".right-answers").show();
        }

        $dom.append($detailAnswerDom);
    };

    /**
     * 渲染翻页答题详情学生答案
     */
    MainPage.prototype.renderSwiperDetailStuAnswer = function (mainIndex, optionIndex, complexIndex) {

//        if (!isAndroid && !isIOS) return;
        if (this.fromPage == FromPage.StuDoWork || this.fromPage == FromPage.TeaAnswer) return;

        var mainQuesItem = this.quesList[mainIndex - 1];
        var optionQuesItem = mainQuesItem.childques[optionIndex- 1];
        var mainAnswerItem = this.resultList[mainIndex - 1];
        var isComplex = mainQuesItem.isComplex;
        var answer;
        var self = this;
        var t_complexIndex = complexIndex;
        var type = optionQuesItem.mainType;

        if (type == QuesName.Blank || type == QuesName.SimpleAnswer || type == QuesName.AutoBlank) {

            //填空题、简答题
            if (type == QuesName.Blank || type == QuesName.SimpleAnswer) {

                if (!isComplex) {
                    t_complexIndex = -1;
                    if (type == QuesName.Blank) {
                        answer = mainAnswerItem.stuanswer;
                    }
                    else if (type == QuesName.SimpleAnswer) {
                        answer = mainAnswerItem.childques[optionIndex - 1].stuanswer;
                    }
                }

                if (isComplex) {
                    answer = mainAnswerItem.childques[optionIndex - 1].stuanswer;
                }
            }

            else if (type == QuesName.AutoBlank) {
                if (!isComplex) {
                    t_complexIndex = -1;
                    answer = mainAnswerItem.childques[optionIndex - 1].stuanswer;
                }
                else {
                    answer = mainAnswerItem.childques[optionIndex - 1].childques[t_complexIndex - 1].stuanswer;
                }
            }

            if (answer == null || answer.length == 0) return;
            var imgPathArr = [];
            for (var i = 0; i < answer.length; i++) {
                var item = answer[i];
                var imgBase64 = item.imgBase64;

                if (imgBase64 != null && imgBase64.length > 0) {
                    return;
                }
                else {
                    imgPathArr.push(item.imgPath);
                }
            }
            if(imgPathArr.length > 0){
                setupWebViewJavascriptBridge(function (bridge) {
                    self.clientEvent.getDetailStuBase64WithLocalImagePath(bridge, mainIndex, optionIndex, t_complexIndex, imgPathArr, answer, optionQuesItem.mainType);
                });
            }
        }
    };

    /**
     * 渲染翻页标准答案
     */
    MainPage.prototype.renderSwiperStandardAnswer = function (mainIndex, optionIndex, complexIndex) {

        if (this.fromPage == FromPage.StuDoWork || this.fromPage == FromPage.StuDetailNoAnswer) return;

        var self = this;
        var mainQuesItem = this.quesList[mainIndex - 1];
        var optionQuesItem = mainQuesItem.childques[optionIndex - 1];
        var optionAnswerItem = this.resultList[mainIndex - 1].childques[optionIndex - 1];
        var isComplex = mainQuesItem.isComplex;
        var t_complexIndex = isComplex ? complexIndex : -1;
        var answerObj = isComplex ? optionAnswerItem.childques[t_complexIndex - 1] : optionAnswerItem;

        if (answerObj.standardAnswer != null || answerObj.analysis != null) return;

        var type = optionQuesItem.mainType;
        var $dom = $("#Main_" + mainIndex + "_Ques_" + optionIndex + "_Complex_" + t_complexIndex + "_standard");

        var standardAnswer = answerObj.answer;
        var standardAnswerUrl = answerObj.answerhtmlurl;
        var analysisUrl = answerObj.parshtmlurl;

        //标准答案
        //选择、判断
        if (type == QuesName.Choice || type == QuesName.MulitChoice || type == QuesName.Judge) {
            //标准答案
            answerObj.standardAnswer = standardAnswer;

            if(type == QuesName.Judge){
                if(standardAnswer == "A" || standardAnswer == "a"){
                    standardAnswer = "正确";
                }
                else if(standardAnswer == "B" || standardAnswer == "b"){
                    standardAnswer = "错误";
                }
            }
            $dom.find(".standard_answer").text(standardAnswer);
        }

        //填空题、简答题
        else if (type == QuesName.Blank || type == QuesName.SimpleAnswer) {

            //答案
            if (standardAnswerUrl == null || standardAnswerUrl.length == 0) {
                answerObj.standardAnswer = "";
            }
            else if (this.from == From.Web) {
                $.ajax({
                    type: "get",
                    async: true,
                    url: standardAnswerUrl,
                    timeout: 10000,
                    success: function (data) {
                        answerObj.standardAnswer = data;
                        $dom.find(".stardand_answer").html(answerObj.standardAnswer);
                    }
                });
            }
            else if (this.from == From.Mobile) {
                setupWebViewJavascriptBridge(function (bridge) {
                    self.clientEvent.getStandardHtml(bridge, standardAnswerUrl, mainIndex, optionIndex, t_complexIndex, $dom, answerObj);
                });
            }
        }

        //解析
        if (analysisUrl == null || analysisUrl.length == 0) {
            answerObj.analysis = "";
        }
        else if (this.from == From.Web) {
            $.ajax({
                type: "get",
                async: true,
                url: analysisUrl,
                timeout: 10000,
                success: function (data) {
                    answerObj.analysis = data;
                    $dom.find(".analysis_answer").html(answerObj.analysis);
                }
            });
        }
        else if (this.from == From.Mobile) {
            setupWebViewJavascriptBridge(function (bridge) {
                self.clientEvent.getAnalysisHtml(bridge, analysisUrl, mainIndex, optionIndex, t_complexIndex, $dom, answerObj);
            });
        }
    };

    /**
     * 获取complexSwiper
     */
    MainPage.prototype.getComplexSwiper = function (index) {
        if (this.complexSwiper.length > 0)
            return this.complexSwiper[index];

        return this.complexSwiper;
    };

    window.MainPage = MainPage;

    if (!isAndroid && !isIOS) {

        var tempObjStr = '[    {        "id": "a9468923-4f58-4f2c-9490-4759b69b6b92",        "title": "一、选择题",        "htmls": [],        "childques": [            {                "id": "447995",                "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/06/20/0a28d1c0-d495-491c-a58e-16cd3789d071/TopicHtml/b6eea24d-2580-430f-aa5d-fdcfa1844a01.html",                "answer": "A",                "typecode": 1,                "typename": "选择题",                "title": "1、选择题",                "score": 2,                "optioncount": 4,                "answercount": 1            },            {                "id": "447996",                "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/06/20/0a28d1c0-d495-491c-a58e-16cd3789d071/TopicHtml/1531b570-4035-4e8f-9293-0aee66855a04.html",                "answer": "B",                "typecode": 1,                "typename": "选择题",                "title": "2、选择题",                "score": 2,                "optioncount": 4,                "answercount": 1            }        ],        "totalscore": 4    },    {        "id": "2533bb37-0434-49dd-bc40-6aee2fc49acf",        "title": "二、填空题",        "htmls": [],        "childques": [            {                "id": "447997",                "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/06/21/4b69203c-a99b-4acc-94d4-e193e89daf6a/TopicHtml/4c566096-7bc3-498f-b2be-53d805bce3c1.html",                "answerhtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/06/21/4b69203c-a99b-4acc-94d4-e193e89daf6a/TopicHtml/c3a41885-34c4-4b55-b492-5f1aabdf8d6d.html",                "typecode": 3,                "typename": "填空题",                "title": "3、填空题",                "score": 2            },            {                "id": "447998",                "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/06/21/4b69203c-a99b-4acc-94d4-e193e89daf6a/TopicHtml/2aeb2596-de06-4d90-ad1a-c7697656425d.html",                "answerhtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/06/21/4b69203c-a99b-4acc-94d4-e193e89daf6a/TopicHtml/c3a41885-34c4-4b55-b492-5f1aabdf8d6d.html",                "typecode": 3,                "typename": "填空题",                "title": "4、填空题",                "score": 2            },            {                "id": "447999",                "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/06/21/4b69203c-a99b-4acc-94d4-e193e89daf6a/TopicHtml/e6e60f72-c0ab-4f2d-83ac-c17093e9775e.html",                "answerhtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/06/21/4b69203c-a99b-4acc-94d4-e193e89daf6a/TopicHtml/c3a41885-34c4-4b55-b492-5f1aabdf8d6d.html",                "typecode": 3,                "typename": "填空题",                "title": "5、填空题",                "score": 2            },            {                "id": "448000",                "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/06/21/4b69203c-a99b-4acc-94d4-e193e89daf6a/TopicHtml/c84ab649-a3f6-4222-8f1d-dc7a49c871f7.html",                "answerhtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/06/21/4b69203c-a99b-4acc-94d4-e193e89daf6a/TopicHtml/c3a41885-34c4-4b55-b492-5f1aabdf8d6d.html",                "typecode": 3,                "typename": "填空题",                "title": "6、填空题",                "score": 2            }        ],        "totalscore": 8    },    {        "id": "1f787a81-6744-4ad2-921a-d2f0f04a5a4d",        "title": "三、简答题",        "htmls": [],        "childques": [            {                "id": "448001",                "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/06/20/0a28d1c0-d495-491c-a58e-16cd3789d071/TopicHtml/1ff05d54-02d4-4b68-a841-7bee25c977d4.html",                "answer": "",                "typecode": 6,                "typename": "简答题",                "title": "7、简答题",                "score": 2            },            {                "id": "448002",                "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/06/21/4b69203c-a99b-4acc-94d4-e193e89daf6a/TopicHtml/7f29e519-cfdc-404d-981c-925e4e95c488.html",                "answerhtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/06/21/4b69203c-a99b-4acc-94d4-e193e89daf6a/TopicHtml/33ed7278-89f0-4144-9845-bebfac49c879.html",                "typecode": 6,                "typename": "简答题",                "title": "8、简答题",                "score": 2            },            {                "id": "448003",                "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/06/21/4b69203c-a99b-4acc-94d4-e193e89daf6a/TopicHtml/230f0740-b046-4558-a1fb-7bf0c6a0c8b6.html",                "answerhtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/06/21/4b69203c-a99b-4acc-94d4-e193e89daf6a/TopicHtml/285212f1-af70-465a-8337-b5e6957e901b.html",                "typecode": 6,                "typename": "简答题",                "title": "9、简答题",                "score": 2            }        ],        "totalscore": 6    }]';
        var tempObj = JSON.parse(tempObjStr);

        var tempAnswerObjStr = '[    {        "id": "4f06ad33-82f4-44b7-8c1d-5ff68eab2b65",        "title": "一、选择题",		"htmls": [           "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/22/c38073a0-50eb-4ffc-a021-5742731aebc0/TopicHtml/a08c3bf8-509f-482f-a1ba-ca1bb831f61e.html"        ],        "childques": [            {                "id": "429162",                "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/22/c38073a0-50eb-4ffc-a021-5742731aebc0/TopicHtml/0feda4df-cf37-4dba-b9e1-13d862357798.html",                "answer": "A",                "typecode": 1,                "typename": "选择题",                "title": "1、选择题",                "score": 2,                "optioncount": 4,                "answercount": 1,                "stuanswer": "B"            },            {                "id": "429163",                "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/18/47ea68d9-7569-4520-975f-89785a9bd06e/TopicHtml/0568fb53-788c-4a7c-a1c8-6892763c5357.html",                "answer": "C",                "typecode": 1,                "typename": "选择题",                "title": "2、选择题",                "score": 2,                "optioncount": 4,                "answercount": 1,                "stuanswer": "C"            },            {                "id": "429164",                "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/18/47ea68d9-7569-4520-975f-89785a9bd06e/TopicHtml/6462f8dc-c0ce-4ac9-8b1d-4c2490d1c646.html",                "answer": "A",                "typecode": 1,                "typename": "选择题",                "title": "3、选择题",                "score": 2,                "optioncount": 4,                "answercount": 1,                "stuanswer": "A"            },            {                "id": "429165",                "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/18/47ea68d9-7569-4520-975f-89785a9bd06e/TopicHtml/b91e4a3a-67eb-401b-899b-4a9e0e688ba3.html",                "answer": "C",                "typecode": 1,                "typename": "选择题",                "title": "4、选择题",                "score": 2,                "optioncount": 4,                "answercount": 1,                "stuanswer": "D"            }        ],        "totalscore": 8    },    {        "id": "98fb70aa-5900-4890-a352-91dda92c832c",        "title": "二、判断题",		"htmls": [           "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/22/c38073a0-50eb-4ffc-a021-5742731aebc0/TopicHtml/a08c3bf8-509f-482f-a1ba-ca1bb831f61e.html"        ],        "childques": [            {                "id": "429166",                "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/22/c38073a0-50eb-4ffc-a021-5742731aebc0/TopicHtml/d7756e32-bf48-4e97-ac5d-e3d15c0bf6f2.html",                "answer": "A",                "typecode": 2,                "typename": "判断题",                "title": "5、判断题",                "score": 2,                "stuanswer": "A"            }        ],        "totalscore": 2    },    {        "id": "a6a53976-d4d7-4a42-93da-773303196b32",        "title": "三、填空题",		"htmls": [           "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/22/c38073a0-50eb-4ffc-a021-5742731aebc0/TopicHtml/a08c3bf8-509f-482f-a1ba-ca1bb831f61e.html"        ],        "childques": [            {                "id": "429167",                "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/22/c38073a0-50eb-4ffc-a021-5742731aebc0/TopicHtml/ff975a21-91fc-46b5-abbc-a02671d7f965.html",                "answer": "",                "typecode": 3,                "typename": "填空题",                "title": "6、填空题",                "score": 2            },            {                "id": "429168",                "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/18/47ea68d9-7569-4520-975f-89785a9bd06e/TopicHtml/712cfd4f-50c3-4b57-baa4-b37d1d61c176.html",                "answerhtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/18/47ea68d9-7569-4520-975f-89785a9bd06e/TopicHtml/9c92d176-d5ee-434a-81c8-c55bb8c2910b.html",                "typecode": 3,                "typename": "填空题",                "title": "7、填空题",                "score": 2            },            {                "id": "429169",                "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/18/47ea68d9-7569-4520-975f-89785a9bd06e/TopicHtml/7f460859-4087-4edb-9e28-df35705f8865.html",                "answerhtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/18/47ea68d9-7569-4520-975f-89785a9bd06e/TopicHtml/77e08615-fb87-487b-b49a-938403e3f3ff.html",                "typecode": 3,                "typename": "填空题",                "title": "8、填空题",                "score": 2            }        ],        "totalscore": 6,        "stuanswer": [            {                "imgPath": "/storage/emulated/0/HomeWork/com.iflytek.studenthomework/temp0/1513323497821.jpg",                "imgBase64": ""            },            {                "imgPath": "/storage/emulated/0/HomeWork/com.iflytek.studenthomework/temp0/1513323506886.jpg",                "imgBase64": ""            }        ]    },    {        "id": "0080b233-4afb-45c9-945b-47cab583dcd4",        "title": "四、简答题",		"htmls": [           "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/22/c38073a0-50eb-4ffc-a021-5742731aebc0/TopicHtml/a08c3bf8-509f-482f-a1ba-ca1bb831f61e.html"        ],        "childques": [            {                "id": "429170",                "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/22/c38073a0-50eb-4ffc-a021-5742731aebc0/TopicHtml/6e59750c-426a-4594-859c-957105fafa0e.html",                "answer": "",                "typecode": 6,                "typename": "简答题",                "title": "9、简答题",                "score": 2,                "stuanswer": [                    {                        "imgPath": "/storage/emulated/0/HomeWork/com.iflytek.studenthomework/temp0/1513323531289.jpg",                        "imgBase64": ""                    },                    {                        "imgPath": "/storage/emulated/0/HomeWork/com.iflytek.studenthomework/temp0/1513323531384.jpg",                        "imgBase64": ""                    }                ]            }        ],        "totalscore": 2    },    {        "id": "123456789",        "title": "六、综合题",        "childques": [            {                "id": "991fff6e-1637-4881-8cb1-b72c559b4ce3",                "title": "11、综合题",                "htmls": [                    "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/22/c38073a0-50eb-4ffc-a021-5742731aebc0/TopicHtml/6c8017b9-6959-4f3b-95c0-ef4b6fcdac67.html"                ],                "childques": [                    {                        "id": "429172",                        "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/22/c38073a0-50eb-4ffc-a021-5742731aebc0/TopicHtml/8da089ff-a24b-49fd-85ed-8aa494efc92b.html",                        "answer": "A",                        "typecode": 1,                        "typename": "选择题",                        "title": "1、选择题",                        "score": 2,                        "optioncount": 7,                        "answercount": 1,                        "stuanswer": null                    },                    {                        "id": "429173",                        "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/22/c38073a0-50eb-4ffc-a021-5742731aebc0/TopicHtml/be26e648-6326-4ce8-93bc-95763fd88370.html",                        "answer": "A",                        "typecode": 1,                        "typename": "选择题",                        "title": "2、选择题",                        "score": 2,                        "optioncount": 7,                        "answercount": 1,                        "stuanswer": "B"                    },                    {                        "id": "429174",                        "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/22/c38073a0-50eb-4ffc-a021-5742731aebc0/TopicHtml/9771ba66-ba71-4690-b223-b7ecff105e09.html",                        "answer": "A",                        "typecode": 1,                        "typename": "选择题",                        "title": "3、选择题",                        "score": 2,                        "optioncount": 7,                        "answercount": 1,                        "stuanswer": "D"                    }                ],                "totalscore": 6            },            {                "id": "c8a3c87f-e900-4383-8ff4-f9861a81df1f",                "title": "12、综合题",                "htmls": [                    "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/22/c38073a0-50eb-4ffc-a021-5742731aebc0/TopicHtml/b7b0272b-4422-46e8-9e0c-400c251f1961.html"                ],                "childques": [                    {                        "id": "429175",                        "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/22/c38073a0-50eb-4ffc-a021-5742731aebc0/TopicHtml/787ec7d5-d20c-48e1-81d7-15481f3528fd.html",                        "answer": "A",                        "typecode": 2,                        "typename": "判断题",                        "title": "1、判断题",                        "score": 2,                        "stuanswer": "A"                    },                    {                        "id": "429176",                        "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/22/c38073a0-50eb-4ffc-a021-5742731aebc0/TopicHtml/c6baaf9d-0360-432e-89dc-ac30c991a482.html",                        "answer": "A",                        "typecode": 2,                        "typename": "判断题",                        "title": "2、判断题",                        "score": 2,                        "stuanswer": "B"                    },                    {                        "id": "429177",                        "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/22/c38073a0-50eb-4ffc-a021-5742731aebc0/TopicHtml/a9e4b874-51c8-485c-9d60-0a739ebe5b74.html",                        "answer": "A",                        "typecode": 2,                        "typename": "判断题",                        "title": "3、判断题",                        "score": 2,                        "stuanswer": "A"                    }                ],                "totalscore": 6            },            {                "id": "85c7b731-27be-42bc-80b6-93911e3213ce",                "title": "13、综合题",                "htmls": [                    "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/22/c38073a0-50eb-4ffc-a021-5742731aebc0/TopicHtml/96f0c115-461c-4bfd-b566-b3dd02d06b5d.html"                ],                "childques": [                    {                        "id": "429178",                        "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/22/c38073a0-50eb-4ffc-a021-5742731aebc0/TopicHtml/c8c4e458-c4d1-4ab9-9f05-a134a788c613.html",                        "answer": "",                        "typecode": 3,                        "typename": "填空题",                        "title": "1、填空题",                        "score": 2                    },                    {                        "id": "429179",                        "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/22/c38073a0-50eb-4ffc-a021-5742731aebc0/TopicHtml/7042b7a0-8df7-40cf-becd-c557f9d19588.html",                        "answer": "",                        "typecode": 3,                        "typename": "填空题",                        "title": "2、填空题",                        "score": 2                    },                    {                        "id": "429180",                        "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/22/c38073a0-50eb-4ffc-a021-5742731aebc0/TopicHtml/95fa1769-6d70-4e80-a18c-72ac6d116593.html",                        "answer": "",                        "typecode": 3,                        "typename": "填空题",                        "title": "3、填空题",                        "score": 2                    }                ],                "totalscore": 6,                "stuanswer": [                    {                        "imgPath": "/storage/emulated/0/HomeWork/com.iflytek.studenthomework/temp0/1513323551794.jpg",                        "imgBase64": ""                    }                ]            },            {                "id": "250d9e6a-9d09-4b27-8bd0-3d01d2906d6e",                "title": "14、综合题",                "htmls": [                    "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/22/c38073a0-50eb-4ffc-a021-5742731aebc0/TopicHtml/a08c3bf8-509f-482f-a1ba-ca1bb831f61e.html"                ],                "childques": [                    {                        "id": "429181",                        "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/22/c38073a0-50eb-4ffc-a021-5742731aebc0/TopicHtml/fa3f0636-d93a-41a0-9712-15f7973b768a.html",                        "answer": "",                        "typecode": 6,                        "typename": "简答题",                        "title": "1、简答题",                        "score": 2                    },                    {                        "id": "429182",                        "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/22/c38073a0-50eb-4ffc-a021-5742731aebc0/TopicHtml/b661f3f6-4bc2-4f30-b1a9-4979c5a0efc3.html",                        "answer": "",                        "typecode": 6,                        "typename": "简答题",                        "title": "2、简答题",                        "score": 2                    },                    {                        "id": "429183",                        "cuthtmlurl": "http://fs.yixuexiao.cn/aliba/cutimgKF/HtmlBook/2017/08/22/c38073a0-50eb-4ffc-a021-5742731aebc0/TopicHtml/ff124f0e-fcbe-4732-85b2-bc5c9b4aed2a.html",                        "answer": "",                        "typecode": 6,                        "typename": "简答题",                        "title": "3、简答题",                        "score": 2                    }                ],                "totalscore": 6,                "stuanswer": [                    {                        "imgPath": "/storage/emulated/0/HomeWork/com.iflytek.studenthomework/temp0/1513323561094.jpg",                        "imgBase64": ""                    },                    {                        "imgPath": "/storage/emulated/0/HomeWork/com.iflytek.studenthomework/temp0/1513323561139.jpg",                        "imgBase64": ""                    }                ]            }        ],        "totalscore": 30    }]';
        var tempAnswerObj = JSON.parse(tempAnswerObjStr);

        new MainPage().initQues(From.Web, 1, 1, tempObj, tempObj, 3);

    }
});