$(function(){

    /**
     * 题目基类
     * @constructor
     */
    function QuestionBase()
    {
        /**
         * 设置大题模板
         * @param obj
         * @returns {*}
         */
        this.renderMainTemplate = function (obj) {
            var tpl = $('#main_tpl').html();
            return Mustache.render(tpl,obj);
        };

        /**
         * 渲染小题内容
         * @param type
         * @param obj
         */
        this.renderOptionTemplate = function(type,obj) {

            if(obj.isComplex){
                type = "complex_" + type;
            }

            var id = type + "_option_tpl";
            var tpl =  $('#' + id).html();
            return Mustache.render(tpl,obj);
        };

        /**
         * 综合题小题头部
         * @param obj
         * @returns {*}
         */
        this.renderComplexOptionTemplate = function(obj){
            var id = "complex_option_title_tpl";
            var tpl =  $('#' + id).html();
            return Mustache.render(tpl,obj);
        };

        /**
         * 渲染填空题 简答题 答案图片
         * @param obj
         * @returns {*}
         */
        this.renderPhotoImage = function(obj,isRevise){
            var id = "blank_photo_tpl";
            if(isRevise){
                id ="revise_" + id;
            }
            var tpl =  $('#' + id).html();
            return Mustache.render(tpl,obj);
        };

        /**
         * 渲染填空题 简答题 答案预览图片
         * @param obj
         * @returns {*}
         */
        this.renderPrewPhotoImage = function(obj){
            var id = "photo_view_tpl";
            var tpl =  $('#' + id).html();
            return Mustache.render(tpl,obj);
        };

        /**
         * 渲染综合题题干
         * @param obj
         * @returns {*}
         */
        this.renderComplexContent = function(obj){
            var id = "complex_content_tpl";
            var tpl =  $('#' + id).html();
            return Mustache.render(tpl,obj);
        };

        /**
         * 渲染答题详情 选择题学生答案
         * @param type
         * @param obj
         */
        this.renderDetailStuAnswer  =function(type,obj){
            var id = "detail_" + type + "_tpl";
            var tpl =  $('#' + id).html();
            return Mustache.render(tpl,obj);
        }

    }

    window.QuestionBase = QuestionBase;
});
