package com.oosic.net.wifi;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.net.wifi.ScanResult;
import android.net.wifi.WifiManager;
import android.util.Log;

/**
 * It is the receiver to receiver SCAN_RESULTS_AVAILABLE_ACTION.
 * @author CHEN JIAN WEN
 *
 */
class ScanReceiver extends BroadcastReceiver {

    /**
     * It is the wifi scanner.
     */
    WifiScanner mWS;

    /**
     * It constructs the wifi scan thread.
     * @param scanner It is the Wi-Fi scaner.
     */
    ScanReceiver(WifiScanner scanner) {
        super();
        mWS  = scanner;
    }

    @Override
    public void onReceive(Context context, Intent intent) {
        if (mWS.mPause) return;
        if (mWS.mScanCount <= 0) return;
        mWS.mScanCount --;
        final WifiManager wm = (WifiManager)mWS.mContext.getSystemService(Context.WIFI_SERVICE);

        synchronized(mWS.mDataSync) {
        mWS.mScanResults = wm.getScanResults();
        mWS.mWifiConfigurations = wm.getConfiguredNetworks();

        synchronized(mWS.mWSCLs) {
        for(WifiScanCompleteListener p : mWS.mWSCLs) {
            p.onComplete(mWS.mScanResults, mWS.mWifiConfigurations);
        }}}

    }
}
