package com.oozic.apps;

import android.os.Environment;

/**
 * This class contains the shared settings of OOZIC applications.
 * @author CHEN JIAN WEN
 *
 */
public class Settings {
    /**
     * It is OWB file extension.
     */
    public final static String OWB_FILE_EXTENSION = ".owb";

    /**
     * It is JPG file extension.
     */
    public final static String JPG_FILE_EXTENSION = ".jpg";

    /**
     * It is PNG file extension.
     */
    public final static String PNG_FILE_EXTENSION = ".png";

    /**
     * It is the theme file extension.
     */
    public final static String THEME_FILE_EXTENSION = ".oit";

    /**
     * It is the thumb-nail file extension.
     */
    public final static String THUMBNAIL_FILE_EXTENSION = ".thb";

    /**
     * Page image thumb-nail prefix.
     */
    public final static String PAGE_IMAGE_T_PREFIX = "thumbnail_";

    /**
     * Page image prefix.
     */
    public final static String PAGE_IMAGE_PREFIX = "page_";
    
    public final static String IMAGE_PREFIX = "image_";
    
    public final static int MAX_BITMAP_WIDTH = 1024;
    /**
     * It is the max size to load bitmap.
     */
    public final static int MAX_BITMAP_LOAD_SIZE = 1024 * 1024 * 4;

    /**
     * It is the GOOGLE advertisement id.
     */
    public static final String GOOGLE_AD_ID = "a14e868a19ab7bb";

    /**
     * It is the root folder.
     */
    public static final String ROOT = Environment.getExternalStorageDirectory().toString();

    /**
     * It is the spy temporary path.
     */
    public static final String SPY_TEMP_PATH = ROOT +"/BitmapSpy/";
    
    public static final int IMPORT_PAGE_SIZE_WIDTH = 1024;
    public static final int IMPORT_PAGE_SIZE_HEIGHT = 768;

    // --------------------------------------------------------------------------------------------
    // **********************
    // * IncStage Presenter *
    // **********************
    public static final String WHITEBOARD_FOLDER1 = ROOT + "/INslide/";
    public static final String WHITEBOARD_FOLDER = ROOT + "/IncSlide/";
    public static final String WHITEBOARD_EXPORT_FOLDER = WHITEBOARD_FOLDER + "export/";
    public static final String DEMO_FILE_PATH = WHITEBOARD_FOLDER + "demo.owb";
    public static final String WHITEBOARD_TMP = Environment.getExternalStorageDirectory().toString() + "/Android/data/com.oozic.apps.inslide/";

    public static final String WHITEBOARD_TMP_FOLDER = WHITEBOARD_TMP + "tmpFold/";
    public static final String WHITEBOARD_TMP_FILES = WHITEBOARD_TMP + "tmpFiles/";
    public static final String WHITEBOARD_TMP_CACHE = WHITEBOARD_TMP + "cache/";
    public static final String WHITEBOARD_TMP_IMPORT = WHITEBOARD_TMP + "import/";

    public static final String WHITEBOARD_FOLDER_DATA = WHITEBOARD_FOLDER + "data/";
    public static final String WHITEBOARD_FOLDER_DATA_FONTS = WHITEBOARD_FOLDER_DATA + "fonts/";
    public static final String WHITEBOARD_THEME_FOLDER = WHITEBOARD_FOLDER_DATA + "theme/";
    // --------------------------------------------------------------------------------------------
    // ************************
    // * IncStage Magic Board *
    // ************************
    /**
     * Magic Board OOSA3 application ID.
     */
    public static final int INCSTAGE_OOSA3_ID = 106;
    // --------------------------------------------------------------------------------------------
    // **********************
    // * Share Box Launcher *
    // **********************
    /**
     * It is the name of share box launcher shared preferences.
     */
    public static final String SHARE_BOX_LAUNCHER_SHARED_PREFERENCES =
        "com.oozic.apps.inc.stage.sharebox.launcher:SP";
    /**
     * It is the key of background path.
     */
    public static final String SHARE_BOX_LAUNCHER_SP_KEY_BACKGROUND_PATH =
        "com.oozic.apps.inc.stage.sharebox.launcher:SP:BackgroundPath";
    // --------------------------------------------------------------------------------------------
    // *********************************
    // * Incstage Sharebox Net Service *
    // *********************************
    /**
     * Incstage sharebox net OOSA3 application ID.
     */
    public static final int INCSTAGE_SHAREBOX_NET_OOSA3_ID = 1111;

    /**
     * It is the multicast address for Incstage sharebox net.
     */
    public static final String INCSTAGE_SHAREBOX_NET_MULTICAST_ADDRESS = "224.0.1.111";

    // --------------------------------------------------------------------------------------------
    // **************
    // * Cloud IME  *
    // **************
    /**
     * It is the cloud IME oosa3 id.
     */
    public static final int CLOUD_IME_OOSA3_ID = 1112;
    
    /**
     * It is the multicast address for cloud ime.
     */
    public static final String CLOUD_IME_MULTICAST_ADDRESS = "224.0.1.112"; 
}
