package com.oozic.bitmap;

import android.graphics.Bitmap;

/**
 * It is the bitmap data that can be used in bitmap ASYNCHRONIZED loader.
 * @author CHEN JIAN WEN
 */
public class BitmapData {
    /**
     * It is the bitmap.
     */
    public Bitmap bmp;

    /**
     * It is the update flag.
     */
    public boolean bUpdate;

    /**
     * It constructs the bitmap data.
     */
    public BitmapData(){
        bmp = null;
        bUpdate = false;
    } 

    /**
     * It makes a copy of special bitmap data.
     * @param data It is the bitmap data to copy.
     */
    public BitmapData(BitmapData data){
        this.bUpdate = new Boolean(data.bUpdate);
        this.bmp = data.bmp.copy(data.bmp.getConfig(), true);
    }

    /**
     * It constructs the bitmap data with bitmap and update flag.
     * @param bmp It is the bitmap to set.
     * @param update It is the update flag to set.
     */
    public BitmapData(Bitmap bmp, boolean update){ 
        this.bUpdate = update;
        this.bmp = bmp;
    } 
}
