package com.oozic.designpatterns;

/**
 * It is the controller information that is managed by controller information manager.
 * @author CHEN JIAN WEN
 *
 */
class ControllerInfo {
    /**
     * It is the name of the controller.
     */
    protected String mName;

    /**
     * It is the handler to controller actions.
     */
    protected ControllerActions mController;

    /**
     * It constructs a controller information with name and action.
     * @param name It is the name of the controller.
     * @param actions It is the action of the controller.
     */
    ControllerInfo(String name, ControllerActions actions) {
        mName = new String(name);
        mController = actions;
    }

    /**
     * It constructs a controller information with another controller information. 
     * @param info It is the source controller information.
     */
    ControllerInfo(ControllerInfo info) {
        this(info.mName, info.mController);
    }
}
