package com.oozic.designpatterns;

/**
 * This is the base class of module. Each application should have module to store the global
 * variables.
 * @author CHEN JIAN WEN
 *
 */
public class Module {
    /**
     * It is the controller information manager.
     */
    public static ControllerInfoManager mCIM = null;

    /**
     * It creates the controller information manager.
     */
    public static void cCIM() {
        if (mCIM == null) {
            mCIM = new ControllerInfoManager();
        }
    }

    /**
     * It destroys the controller information manager.
     */
    public static void dCIM() {
        if (mCIM != null) {
            mCIM.removeAll();
            mCIM = null;
        }
    }
}
