package com.oozic.net;


/**
 * I is a builder factory for data packages.
 * @author CHEN JIAN WEN
 */
public class DataPackageFactory {
    static public DataPackage peekDataPackage(int type) {
        switch (type) {
        case DataPackage.PKG_TYPE_BYTE_BUFFER: {
            ByteBufferPackage pkg = new ByteBufferPackage();
            return pkg;
        }

        case DataPackage.PKG_TYPE_STRING: {
            StringPackage pkg = new StringPackage();
            return pkg;
        }

        case DataPackage.PKG_TYPE_KEY_EVENT: {
            KeyEventPackage pkg = new KeyEventPackage();
            return pkg;
        }

        case DataPackage.PKG_TYPE_MOTION_EVENT: {
            MotionEventPackage pkg = new MotionEventPackage();
            return pkg;
        }

        case DataPackage.PKG_TYPE_FULL_MOTION_EVENT: {
            FullMotionEventPackage pkg = new FullMotionEventPackage();
            return pkg;
        }

        case DataPackage.PKG_TYPE_SENSOR_EVENT: {
            SensorEventPackage pkg = new SensorEventPackage();
            return pkg;
        }

        default:
            return null;
        }
    }
}