package com.oozic.net;

import com.oozic.net.NetData;
import com.oozic.net.Utils;

/**
 * It is the data that contains with simple integer.
 * @author CHEN JIAN WEN
 *
 */
public class NetDataInteger extends NetData {
    /**
     * It is integer value.
     */
    protected int mInteger;

    /**
     * It constructs the data.
     */
    public NetDataInteger(int id) {
        this(id, 0);
    }

    /**
     * It constructs the data.
     * @param data It is the integer value
     */
    public NetDataInteger(int id, int data) {
        mInteger = data;
        mID = id;
    }

    @Override
    public byte[] toBytes() {
        byte volume[];

        volume = Utils.intToByteArray(mInteger);

        final int length =
            4 + 4 + 4 + 4 +
            4 + 4;

        byte ret[] = new byte[length];
        int i = 0;

        // Set ID.
        System.arraycopy(
                Utils.intToByteArray(mID),
                0, ret, i, 4);
        i += 4;

        // Set Key
        System.arraycopy(Utils.intToByteArray(mKey), 0, ret, i, 4);
        i += 4;

        // Set data length
        System.arraycopy(Utils.intToByteArray(length), 0, ret, i, 4);
        i += 4;

        // Set data field number.
        System.arraycopy(Utils.intToByteArray(1), 0, ret, i, 4);
        i += 4;

        System.arraycopy(Utils.intToByteArray(4), 0, ret, i, 4);
        i += 4;

        System.arraycopy(volume, 0, ret, i, 4);
        i += 4;

        return ret;
    }

    @Override
    public boolean fromBytes(byte[] bytes) {
        final int lens[] = checkBytes(bytes);

        if (lens == null) return false;
        byte buf[];
        int i = 16 + lens.length * 4;
        int j = 0;

        buf = new byte[lens[j]];
        System.arraycopy(bytes, i, buf, 0, lens[j]);
        mInteger = Utils.byteArrayToInt(buf);
        i += lens[j];
        j ++;

        return true;
    }

    /**
     * It gets the integer value.
     * @return It returns the integer value.
     */
    public int getInteger() {
        return mInteger;
    }
}
