package com.oozic.net;

import android.os.Message;

import com.oozic.library.sdsp.SdspClient;
import com.oozic.library.sdsp.SdspClientInterface;

public class NetUserCallback extends SdspClientInterface {

    NetHandler mHandler;
    
    public NetUserCallback(NetHandler handler) {
        super();
        mHandler = handler;
    }

    public int onConnect(SdspClient client) {
        NetManager.log_i("SDSP onConnect: " + client.getName());
        Message message = mHandler.obtainMessage(NetHandler.MSG_CLIENT_CONNECTED,
                client);
        mHandler.sendMessage(message);

        return 0;
    }

    public void onUpdate(SdspClient client) {
        NetManager.log_i("SDSP onUpdate: " + client.getName());
        Message message = mHandler.obtainMessage(NetHandler.MSG_CLIENT_UPDATE,
                client);
        mHandler.sendMessage(message);
    }

    public void onDisconnect(SdspClient client) {
        NetManager.log_i("SDSP onDisconnect: " + client.getNative());
        Message message = mHandler.obtainMessage(NetHandler.MSG_CLIENT_DISCONNECTED,
                0,
                client.getNative());
        mHandler.sendMessage(message);
        
        super.onConnect(client);
    }
}
