package com.oozic.net;

/**
 * It is the net user listener export to oozic net user
 * @author CHEN JIAN WEN
 */
public interface NetUserListener {
    /**
     * It is called when a net user connect to local.
     * @param nu It is the net user to connect.
     * @param mode It is the connect mode.
     * <BR> 0 User is new added.
     * <BR> 1 User exists, update.
     * <BR> 2 User is added back from lost set.
     * <BR> 3 User is added back from lost set, but it is already in the user set.
     * <BR> 4 User is added back from lost set. And it updates.
     * <BR> 5 User is added back from lost set, but it is already in the user set. And it updates. 
     */
    void onConnect(NetUser nu, int mode);

    /**
     * It is called when a net user disconnected from local.
     * @param nu It is the net user to disconnect.
     */
    void onDisconnect(NetUser nu);

    /**
     * It is called when a net user information changed.
     * @param nu It is the net user to update.
     */
    void onUpdate(NetUser nu);

    /**
     * It is called when the net user manager clears.
     */
    void onClear();
}