package com.oozic.net.fdt;

/**
 * It is the file accept listener.
 * @author CHEN JIAN WEN
 *
 */
public interface FileAcceptListener {
    /**
     * It is called when the file request is no longer on hold.
     * @return It returns true if the file is accepted. And it returns false otherwise.
     */
    public boolean isAccepted();

    /**
     * It is called by the file accept loop to decide if the loop should be kept.
     * @return It returns ture if the file request should be on hold and it returns false
     * otherwise.
     */
    public boolean isOnHold();

    /**
     * It is called when the file is accepted and a file receiver listener should be set here.
     * @param frl It is the file receiver listener.
     */
    public void onStart(FileReceiver fr);

    /**
     * It is called when a error occurs during accept process.
     * @param errorCode It is the error code.
     */
    public void onCancel();
}
