package com.oozic.net.fdt;

/**
 * It includes the callbacks for a file send process.
 * @author CHEN JIAN WEN.
 *
 */
public interface FileSendListener {

    /**
     * It is called when the file is totally sended. 
     */
    void onComplete();

    /**
     * It is called when error occurs.
     * @param errorCode It is the error code.
     */
    void onError(int errorCode);

    /**
     * It is called when a block of data is sended.
     * @param per It is the persent of the file that is sended. Its range is from 0 to 1. <BR>
     * <B><FONT color=RED>ITS VALUE MAY DECREASED WHEN A RESEND REQUEST IS RECEIVED.</FONT></B>
     */
    void onDataSended(float per);
}
