package com.oozic.net.fdt;

import com.oozic.net.NetUser;

/**
 * It is the file send task.
 * @author CHEN JIAN WEN
 *
 */
class FileSendTask {
    /**
     * It is the file path.
     */
    protected String mPath;

    /**
     * It is the target to send file to.
     */
    protected NetUser mTarget;

    /**
     * It is the file send listener.
     */
    protected FileSendListener mListener;

    /**
     * It constructs the file task
     * @param path It is the file path.
     * @param target It is the target to send file.
     * @param fsl It is the file send listener.
     */
    public FileSendTask(String path, NetUser target, FileSendListener fsl) {
        mPath = path;
        mTarget = target;
        mListener = fsl;
    }

    /**
     * It checks if the file task is same.
     * @param ft It is the file task to compare.
     * @return It returns true if the file send task
     */
    public boolean equals(FileSendTask fst) {
        if (mPath == null) return false;
        if (mTarget == null) return false;
        if (fst == null) return false;

        return (mPath.equalsIgnoreCase(fst.mPath) &&
                mTarget.equals(fst.mTarget) &&
                (mListener == fst.mListener));
    }
}
