package com.oozic.net.fdt;

import java.util.ArrayList;

/**
 * It is the file sender manager.
 * @author CHEN JIAN WEN
 *
 */
class FileSenderManager {

    /**
     * It is the file sender sets.
     */
    private ArrayList<FileSender> mSenders;

    /**
     * It is the FDT manager.
     */
    private FDTManager mFDTM;

    /**
     * It constructs the file sender manager.
     * @param fdtm It is the FDT manager.
     */
    FileSenderManager(FDTManager fdtm) {
        mSenders = new ArrayList<FileSender>();
        mFDTM = fdtm;
    }

    /**
     * It helps to get the free file sender.
     * @return It returns the free file sender.
     */
    FileSender createSender() {
        FileSender fs =  new FileSender(mFDTM, this);
        mSenders.add(fs);
        return fs;
    }

    /**
     * It destroy the file sender manager.
     */
    void destroy() {
        for (FileSender p : mSenders) {
            p.destroy();
        }
        mSenders.clear();
    }

    /**
     * It removes the file sender from
     * @param sender
     */
    void remove(FileSender sender) {
        if (sender == null) return;
        mSenders.remove(sender);
        sender.destroy();
    }
}
